Condor DM User Guide
==================

快速使用
---------

以情境式描述系統常見管理步驟，若需更進一步了解各項功能請參閱後續對應章節說明。

**立產品型號**

在將裝置匯入系統前，我們必須要先建立裝置隸屬的產品型號(Device Type)，首先在左方功能選單中點選『Device Management』下的『Type』來進入產品型號管理功能。

- 產品型號建立

![](../uploads/images/CondorDM/01.png)

本系統定義的產品型號涉及到裝置的初始描述檔(DataModel)、裝置在DM管理中定期回報的頻率以及回報項目的設定，點選Device Type後頁面呈現所有Device Type列表及相關操作。

- 產品型號管理頁面

![](../uploads/images/CondorDM/02.png)

- 產品型號管理頁面之功能與欄位說明

|項目|說明|
|------|-------|
|![](../uploads/images/CondorDM/03.png)|新增產品型號|
|![](../uploads/images/CondorDM/04.png)|刪除此產品型號|
|![](../uploads/images/CondorDM/05.png)|編輯此產品型號|	
|![](../uploads/images/CondorDM/06.png)|型號外觀|
|Name|	產品型號名稱|
|Members|	該產品型號於系統中之裝置數量|
|Operating System|	該產品型號搭載的作業系統|
|Report Interval|	符合此產品型號裝置之周邊回報項目的回報頻率|
|Remark|	產品型號的備註說明|

在產品型號管理頁面按下『Add』，便會切換到新增Device Type表單畫面

- 產品型號新增畫面－步驟一

![](../uploads/images/CondorDM/07.png)

新增產品型號包含兩個步驟：
步驟一：填寫新增的產品型號名稱、選擇搭載的作業系統、上傳此產品型號的初始描述檔（DataModel，XML格式），以及上傳該產品型號的外觀圖像，最後視情況是否需針對此型號進行補充說明，填寫完成後按下『Next』進入步驟二。

- 產品型號新增畫面－步驟一填寫範例

![](../uploads/images/CondorDM/08.png)

步驟二左方選單會依據步驟一上傳的初始描述檔列出此產品型號裝置可供選擇的周邊回報項目，這裡可複選設定有那些周邊需要回報，表單右方Report Interval欄位則設定符合此產品型號裝置定時回報的頻率，設定完成後按下『Next』完成產品型號的新增。

- 產品型號新增畫面－步驟二

![](../uploads/images/CondorDM/09.png)

完成產品型號新增後，畫面會切回產品型號列表，剛才新增的產品型號便會出現在列表當中。

**匯入裝置(CSV)**

有了產品型號(Device Type)後，接著便可著手進行裝置大量的匯入作業，讓伺服器建立可供管理的裝置資料，首先在左方功能選單中點選『Device Management』下的『Device』來進入裝置管理功能。

- 所有裝置列表畫面

![](../uploads/images/CondorDM/10.png)

在裝置列表中，按下『Add』，便會切換到裝置匯入畫面。

- 裝置匯入畫面

![](../uploads/images/CondorDM/11.png)

選擇要匯入的裝置清單檔，檔案格式為CSV(可點選右下角『Download Example』下載檔案範例)，檔檔案內容必須包含六個必填欄位的資訊，依序為：

1.	裝置序號（Device Serial Number）
2.	裝置端驗證帳號（Agent Account）
3.	裝置端驗證密碼（Agent Password）
4.	伺服端驗證帳號（Server Account）
5.	伺服端驗證密碼（Server Password）
6.	該裝置隸屬的產品型號（Device Type）

取檔案並點選Upload進行匯入作業，若檔案中任一欄資料輸入錯誤或Serial Number重複，則該筆資料將無法新增成功。

**匯入裝置(QR Code)**

若要進行單台裝置的匯入，也可利用此QR Code來匯入。點擊選單中的QR Code 圖示，將顯示匯入裝置QR Code的畫面。

- 匯入裝置(QR Code)畫面

![](../uploads/images/CondorDM/12.png)

此時將欲匯入該用戶的裝置，執行其裝置端管理『DMAgent.apk』軟體，並點選初始化『INITIAL』按鍵，將會出現掃瞄畫面，然後對準匯入裝置QR Code進行掃瞄動作。

- 裝置端管理軟體與匯入裝置(QR Code)畫面

![](../uploads/images/CondorDM/13.png)

掃瞄完成後，裝置上將出現『初始化成功』的字樣。

- 裝置初始化成功畫面

![](../uploads/images/CondorDM/14.png)

此時裝置也已匯入至該用戶的裝置清單，完成裝置的匯入。

**應用程式上架**

由於本章的最終目的是對裝置進行遠端軟體安裝，因此我們必須要準備後續可供裝置下載的應用程式(Apps)。

- 應用程式

![](../uploads/images/CondorDM/15.png)

這邊以上架Android的應用程式為例，首先在左方功能選單中點選『Applications』下的『Apps』來進入檔案管理功能，因此要切換到Android的頁籤，點選『Upload』 後，將切換到檔案(Android應用程式)上架表單畫面。

- 應用程式上架表單

![](../uploads/images/CondorDM/16.png)

表單中需填寫以下資料

1. Remark：應用程式的備註說明
2. App File：應用程式檔案(必填)

填寫完畢點選『Save』後等待上傳完成上架程序，完成後畫面將會切回至Android應用程式的檔案列表。

- 應用程式檔案管理頁面

![](../uploads/images/CondorDM/17.png)

- 應用程式管理頁面之功能與欄位說明

|項目|說明|
|------|--------|
|![](../uploads/images/CondorDM/18.png)|應用程式檔案上架|
|![](../uploads/images/CondorDM/19.png)|下載應用程式檔案|
|![](../uploads/images/CondorDM/20.png)|刪除應用程式檔案|
|Name|	產品型號名稱|
|Tenant|	該名使用者所屬用戶群|
|Creator|	創建者|
|Version|	檔案的版本|
|File Size	|應用程式的檔案大小|
|Package Name|	檔案封包名稱|
|Remark|	檔案的備註說明|

**掃描裝置已安裝應用程式清單**

- 掃描裝置已安裝應用程式清單

![](../uploads/images/CondorDM/21.png)

這邊的目的是掃描裝置已安裝的應用程式清單，因此必須切換到裝置的管理畫面來進行操作，首先在左方功能選單中點選『Device Management』下的『Device』，選擇一台被管理的裝置，點選『App management』頁籤來進入裝置管理功能。

Application Management頁籤畫面中，左方呈現裝置已安裝的應用程式，透過右上角的『Scan』 可以讓裝置重新回報已安裝的應用程式清單；畫面右方則是呈現可供安裝的應用程式清單。

點選右上角的『Scan』，系統會觸發裝置重新回報已安裝的應用程式清單，已安裝的應用程式會呈現在畫面的左方(若裝置無法連上伺服器，此功能將無法運作，系統將會在畫面右上角彈出錯誤訊息提示)。

已安裝應用程式將顯示的程式圖示、應用程式名稱、版本以及該應用程式在裝置端執行的狀態等資訊，後續便可以對該程式進行啟動、停止與刪除等操作，若裝置無任何已安裝應用程式則左方列表將不顯示。

- 已安裝應用程式

![](../uploads/images/CondorDM/22.png)

**安裝應用程式**

在欲安裝的應用程式右方點擊『Install』按鈕，將彈出一個確認提示畫面，再按下『Yes』後便送交安裝任務。

- 裝置應用程式安裝確認提示

![](../uploads/images/CondorDM/23.png)

由於應用程式的安裝需要一段時間(裝置下載應用程式檔案到安裝完畢)，因此若要確認裝置執行安裝任務的進度狀態，可在Task頁籤查閱任務執行狀態，此版本最新的資料將呈現在第一筆。

- 裝置執行任務結果

![](../uploads/images/CondorDM/24.png)

任務完成後，點選App Management右上角的『Scan』對裝置進行應用程式掃描，若安裝任務成功的話將會在畫面左方的已安裝清單中出現該應用程式。

**遠端啟動已安裝應用程式**

在已安裝的應用程式清單中，對欲啟動的應用程式右方點擊開關按鈕，將彈出一個確認提示畫面，再按下『Yes』後便送交啟動任務。

- 應用程式非運作中狀態顯示

![](../uploads/images/CondorDM/25.png)

- 啟動已安裝的應用程式確認提示畫面

![](../uploads/images/CondorDM/26.png)

啟動完成後可點選『Scan』按鈕，重新對裝置執行『掃描裝置已安裝的應用程式清單』，掃描結果若應用程式成功啟動則可在裝置上看到該應用程式執行的畫面。

- 應用程式運作中狀態顯示

![](../uploads/images/CondorDM/27.png)

**中止裝置正在運作的應用程式**

裝置目前正在執行的應用程式將會在已安裝的應用程式右方開關顯示啟動狀態。

- 應用程式運作中狀態顯示

![](../uploads/images/CondorDM/28.png)

可點擊開關按鈕來中止裝置正在執行的應用程式，此時將彈出一個確認提示畫面，再按下『Yes』後便送交中止任務。

- 啟動已安裝的應用程式確認提示

![](../uploads/images/CondorDM/29.png)

中止任務完成後可點選『Scan』按鈕，重新對裝置執行『掃描裝置已安裝的應用程式清單』，掃描結果若應用程式成功中止則可在裝置上看到該應用程式被關閉的結果。

- 應用程式非運作中狀態顯示

![](../uploads/images/CondorDM/30.png)

**移除裝置已安裝的應用程式**

在已安裝的應用程式清單中，對欲刪除的應用程式右方點擊『垃圾桶』按鈕，將彈出一個確認提示畫面，再按下『Yes』後便送交刪除任務。

- 刪除應用程式確認提示

![](../uploads/images/CondorDM/31.png)

**裝置遠端韌體更新**
進行韌體更新之前，必須先確保韌體已上架，方有韌體檔案提供裝置韌體更新選擇。

點選『Firmware Upgrade』後，會彈出韌體更新對話框，對話框中的檔案選擇會列出符合此裝置作業系統可供更新的韌體檔案。

- 裝置韌體更新畫面

![](../uploads/images/CondorDM/32.png)

在視窗下拉選單選擇欲更新的韌體檔案後點擊『Execute』按鈕，系統將對裝置送交韌體更新任務，後續可在Task頁籤追蹤裝置執行進度，同時應可在裝置上看到進行韌體更新的運作。

基本功能
---------

**登入系統**

於瀏覽器網址列輸入網址後，進入登入畫面

- 登入畫面

![](../uploads/images/CondorDM/33.png)

輸入使用者帳號與密碼後，按下『登入』鍵，系統會檢查輸入的帳號與密碼是否正確，經確認後使用者登入系統的主畫面如下

- 主畫面

![](../uploads/images/CondorDM/35.png)

**使用者功能選單**

移動鼠標至畫面左上方，按下使用者名稱後，將出現功能選單，顯示登入時間以及提供檢視個人資訊、新增裝置(QR code)功能。

- 使用者功能選單

![](../uploads/images/CondorDM/36.png)

**個人資訊**

點擊選單中的『My Profile』圖示，將顯示個人資訊畫面，畫面左方為使用者資訊，右方為使用者權限資訊。

- 個人資訊畫面

![](../uploads/images/CondorDM/37.png)

**匯入裝置(QR Code)**

點擊選單中的『QR Code』圖示，將顯示匯入裝置QR Code的畫面，此時將欲匯入該用戶的裝置，執行其裝置端管理軟體的初始化，掃瞄匯入裝置QR Code後，則此裝置將會匯入至該用戶。

- 匯入裝置(QR Code)

![](../uploads/images/CondorDM/38.png)


儀表板(Dashboard)
-----------

此頁面頂部資訊牆呈現目前系統對於Device、Task、Application及Account的統計情形，中間圓餅圖顯示系統中管理任務(Task)的執行狀態統計，最下方則顯示使用者的操作紀錄(Account Log)，此頁面的內容顯示資訊會依據使用者權限而有不同。

- Dashboard畫面

![](../uploads/images/CondorDM/39.png)

**資訊牆**

Dashboard頂部資訊牆呈現目前系統對於Device、Task、File及Account的統計情形，點選More Info會切換到各自的列表畫面。

- 資訊牆畫面

![](../uploads/images/CondorDM/40.png)


**管理任務的執行狀態統計**

透過Dashboard中間的圓餅圖用於顯示系統中的管理任務統計，左右分別顯示目前裝置執行App Management和Device Management任務的情形。

任務執行結果分為4種狀態：

|項目|說明|
|------|--------|
|準備中（Ready）|管理任務已建立，等候裝置連入伺服器抓取任務|
|已派送（Progress）|裝置已連入伺服器取得任務並處於執行任務中|
|失敗（Failed）|裝置執行失敗|
|完成（Success）|裝置執行成功|
          
- 管理任務的執行狀態統計畫面

![](../uploads/images/CondorDM/41.png)

**使用者的操作紀錄**
Dashboard中的最下方呈現使用者操作系統的記錄。

- 使用者的操作紀錄畫面

![](../uploads/images/CondorDM/42.png)

裝置(Device Management)
-----------

**產品型號(Device Type)**

在將裝置匯入系統前，我們必須要先建立裝置隸屬的產品型號(Device Type)，本系統定義的產品型號涉及到裝置的初始描述檔(DataModel)、裝置在DM管理中定期回報的頻率以及回報項目的設定，點選Device Type後頁面呈現所有Device Type列表及相關操作。

- 產品型號管理頁面

![](../uploads/images/CondorDM/43.png)

- 產品型號管理頁面之功能與欄位說明

|項目|說明|
|------|--------|
|![](../uploads/images/CondorDM/44.png)|新增產品型號|
|![](../uploads/images/CondorDM/45.png)|刪除此產品型號|
|![](../uploads/images/CondorDM/46.png)|編輯此產品型號|
|Name|	產品型號名稱|
|Members|	產品型號中包含的裝置成員數量|
|Operating System|	該產品型號搭載的作業系統|
|Report Interval|	符合此產品型號裝置之周邊回報項目的回報頻率|
|Remark|	產品型號的備註說明|

**新增產品型號**

在功能列表中，按下『Add』，便會切換到新增Device Type表單畫面。

- 產品型號新增畫面－步驟一

![](../uploads/images/CondorDM/47.png)

新增產品型號包含兩個步驟：
步驟一：填寫新增的產品型號名稱、選擇搭載的作業系統、上傳此產品型號的初始描述檔(DataModel，XML格式)，以及上傳該產品型號的外觀圖像，最後視情況是否需針對此型號進行補充說明，填寫完成後按下『Next』進入步驟二。

- 產品型號新增畫面－步驟一填寫範例

![](../uploads/images/CondorDM/48.png)

步驟二左方選單會依據步驟一上傳的初始描述檔列出此產品型號裝置可供選擇的周邊回報項目，這裡可複選設定有那些周邊需要回報，表單右方Report Interval欄位則設定符合此產品型號裝置定時回報的頻率，設定完成後按下『Save』完成產品型號的新增。

- 產品型號新增畫面－步驟二

![](../uploads/images/CondorDM/49.png)

完成產品型號新增後，畫面會切回產品型號列表，剛才新增的產品型號便會出現在列表當中。

**刪除產品型號**

從列表中選定欲刪除的資料後，按下『刪除』圖示，則資料將會從列表中移除。

**編輯產品型號**

從列表中選定一筆欲修改的產品型號後，按下資料右方的『編輯』圖示，即可進行修改。修改時僅能針對周邊回報項目以及回報頻率進行調整。

**裝置清單(Device)**

點選Device後頁面呈現所有裝置列表及相關操作。

- 裝置管理頁面

![](../uploads/images/CondorDM/50.png)

- 裝置管理頁面之功能與欄位說明

|項目|說明|
|------|--------|
|![](../uploads/images/CondorDM/51.png)|透過上傳CSV檔，一次新增多筆裝置|
|![](../uploads/images/CondorDM/145.png)|鎖定此裝置|
|![](../uploads/images/CondorDM/146.png)|解開鎖定此裝置|
|![](../uploads/images/CondorDM/52.png)|刪除此裝置|
|Name|	裝置的序號，藍色則表示已經完成初始化，此時可以點擊進入該裝置細節頁面進行管理|
|Device Type|	裝置隸屬的產品型號|
|Account|	裝置隸屬的帳戶名稱|
|Operating System|	裝置搭載的作業系統|
|Tenant|	該名使用者所屬用戶群|
|Last Connection Time|	裝置最近一次連上伺服器的時間|

**裝置匯入**

在裝置列表中，按下『Add』，便會切換到裝置匯入畫面。

- 裝置匯入畫面

![](../uploads/images/CondorDM/53.png)

選擇要匯入的裝置清單檔，檔案格式為CSV(可點選右下角『Download Example』下載檔案範例)，檔案內容必須包含六個必填欄位的資訊，依序為：

1.	裝置序號（Device Serial Number）
2.	裝置端驗證帳號（Agent Account）
3.	裝置端驗證密碼（Agent Password）
4.	伺服端驗證帳號（Server Account）
5.	伺服端驗證密碼（Server Password）
6.	該裝置隸屬的產品型號（Device Type）

選取檔案並點選Upload進行匯入作業，若檔案中任一欄資料輸入錯誤或Serial Number重複，則該筆資料將無法新增成功。

**刪除裝置**

從列表中選定欲刪除的資料後，按下『刪除』圖示，若此裝置未執行過任何任務，則裝置將會從列表中移除。

**單台裝置管理**

從列表中點選裝置的Name後，會切換到該裝置的細節頁面。

- 裝置匯入

![](../uploads/images/CondorDM/54.png)

**綜覽(Summary)**

進入裝置細節頁面後預設會呈現該裝置的Summary畫面，裝置Summary畫面分為Properties、Action、Device Capability等三個部分。

- 裝置的狀態總覽

![](../uploads/images/CondorDM/55.png)

1. Properties：顯示裝置的序號、裝置隸屬的產品型號外觀、型號名稱以及裝置最後的連線時間
2. Action：提供對裝置進行回復出廠設定、重開機以及韌體更新等操作
3. Device Capability：呈現裝置硬體（Hardware）、電池（Battery）、作業系統（OS Info）、內建記憶體（Memory Info）、硬碟空間（Storage Info）、網路存取（WLAN Info）等狀態

**軟體管理(Application Management)**

此頁面左方呈現裝置已安裝的應用程式，透過右上角的『Scan』可以讓裝置重新回報已安裝的應用程式清單；畫面右方則是呈現可供安裝的應用程式清單。

- 裝置應用程式管理畫面

![](../uploads/images/CondorDM/56.png)

**掃描裝置已安裝應用程式清單**

- 掃描裝置已安裝應用程式清單

![](../uploads/images/CondorDM/57.png)

首先在左方功能選單中點選『Device Management』下的『Device』，選擇一台被管理的裝置，點選『App management』頁籤來進入裝置管理功能。

App Management頁籤畫面中，左方呈現裝置已安裝的應用程式，透過右上角的『Scan』可以讓裝置重新回報已安裝的應用程式清單；畫面右方則是呈現可供安裝的應用程式清單。

點選右上角的『Scan』，系統會觸發裝置重新回報已安裝的應用程式清單，已安裝的應用程式會呈現在畫面的左方(若裝置無法連上伺服器，此功能將無法運作，系統將會在畫面右上角彈出錯誤訊息提示)

已安裝應用程式將顯示的程式圖示、應用程式名稱、版本以及該應用程式在裝置端執行的狀態等資訊，後續便可以對該程式進行啟動、停止與刪除等操作，若裝置無任何已安裝應用程式則左方列表將不顯示。

- 已安裝應用程式

![](../uploads/images/CondorDM/58.png)

**安裝應用程式**

在欲安裝的應用程式右方點擊『Install』按鈕，將彈出一個確認提示畫面，再按下 『Yes』後便送交安裝任務。

- 裝置應用程式安裝確認提示

![](../uploads/images/CondorDM/59.png)

由於應用程式的安裝需要一段時間(裝置下載應用程式檔案到安裝完畢)，因此若要確認裝置執行安裝任務的進度狀態，可在Task頁籤查閱任務執行狀態，此版本最新的資料將呈現在第一筆。

- 裝置執行任務結果

![](../uploads/images/CondorDM/60.png)

任務完成後，點選App Management右上角的 對裝置進行應用程式掃描，若安裝任務成功的話將會在畫面左方的已安裝清單中出現該應用程式。

**移除裝置已安裝的應用程式**

在已安裝的應用程式清單中，對欲刪除的應用程式右方點擊『垃圾桶』按鈕，將彈出一個確認提示，再按下『Yes』後便送交刪除任務。

- 刪除應用程式確認提示

![](../uploads/images/CondorDM/61.png)

**啟動已安裝的應用程式**

在已安裝的應用程式清單中，對欲對欲啟動的應用程式右方點擊開關按鈕，將彈出一個確認提示畫面，再按下『Yes』後便送交啟動任務。

- 應用程式非運作中狀態

![](../uploads/images/CondorDM/62.png)

- 啟動已安裝的應用程式確認提示

![](../uploads/images/CondorDM/63.png)

啟動完成後可點選『Scan』按鈕，重新對裝置執行『掃描裝置已安裝的應用程式清單』，掃描結果若應用程式成功啟動則可在裝置上看到該應用程式執行的畫面。

- 應用程式運作中狀態

![](../uploads/images/CondorDM/64.png)

**中止裝置正在運作的應用程式**

裝置目前正在執行的應用程式將會在已安裝的應用程式右方開關顯示啟動狀態。

- 應用程式運作中狀態

![](../uploads/images/CondorDM/65.png)

可點擊開關按鈕來中止裝置正在執行的應用程式，此時將彈出一個確認提示畫面，再按下『Yes』後便送交中止任務。

- 停止裝置正在執行的應用程式確認提示

![](../uploads/images/CondorDM/66.png)

中止任務完成後可點選『Scan』按鈕，重新對裝置執行『掃描裝置已安裝的應用程式清單』，掃描結果若應用程式成功中止則可在裝置上看到該應用程式被關閉的結果。

- 應用程式非運作中狀態

![](../uploads/images/CondorDM/67.png)

**裝置管理(Device Management)**

此頁面呈現裝置的周邊功能，並可點選周邊功能來檢視該功能的屬性或設定。目前呈現的周邊功能有『電量』、『藍芽』、『處理器』、 『相機』、『顯示器』、『外部記憶體』、『韌體』、 『GPS』、『硬體』、『內部記憶體』、『作業系統』、『儲存器』、『無線區域網路』、『無線廣域網路』等。

- 應用程式運作中狀態

![](../uploads/images/CondorDM/68.png)

在此舉『藍芽』為例子：可點選掃瞄按鈕，重新對裝置執行『顯示裝置屬性』，掃描結果若成功則會更新最後掃瞄時間與屬性結果。另外還可切換開關按鈕，來操控屬性開關。

- 裝置周邊功能屬性畫面

![](../uploads/images/CondorDM/69.png)

**裝置事件（Device Event**

此頁籤呈現單台裝置所有事件列表

- 裝置事件列表

![](../uploads/images/CondorDM/70.png)

- 裝置事件列表欄位說明

|項目|說明|
|------|--------|
|![](../uploads/images/CondorDM/71.png)|重新整理事件列表|
|Event Name|	事件名稱|
|Event Type|	事件類型|
|Remark|	事件備註說明|
|Event Time|	事件發生時間|

**管理任務執行狀態(Task)**

此頁籤呈現單台裝置所有任務列表。

- 裝置任務紀錄列表

![](../uploads/images/CondorDM/72.png)

- 裝置任務紀錄列表欄位說明

|項目|說明|
|------|--------|
|Task ID|任務流水號|
|ID|	子任務流水號|
|Task Type|	任務類型|
|State|	任務的執行狀態，分為Prepared、Submitted、Timeout、Failed以及Completed五種狀態|
|Remark |	任務備註說明|
|Time |	任務建立的時間|

- 任務的執行狀態說明

|項目|說明|
|------|--------|
|準備中（Prepared）|管理任務已建立，等候裝置連入伺服器抓取任務|
|已派送（Submitted）|裝置已連入伺服器取得任務並處於執行任務中|
|逾時（Timeout）|裝置執行此任務逾時|
|失敗（Failed）|裝置執行失敗|
|完成（Completed）|裝置執行成功|

**功能(Actions)**

裝置細節頁籤標題最右方有裝置管理選單，提供對裝置進行回復出廠設定、重開機以及韌體更新等操作。

- 裝置管理選單

![](../uploads/images/CondorDM/73.png)

**回復出廠設定（Factory Restore Device）**

點選『Factory Restore Device』後會再一次詢問是否確認將此台裝置回復出廠設定。

- 裝置回復出廠設定

![](../uploads/images/CondorDM/74.png)

**重開機（Restart Device）**

點選『Restart Device』後會再一次詢問是否確認對此台裝置進行重開機。

- 遠端裝置重開機

![](../uploads/images/CondorDM/75.png)

**韌體更新(Firmware Upgrade)**

進行韌體更新之前，必須先確保韌體已上架，方有韌體檔案提供裝置韌體更新選擇。

點選『Firmware Uprade』後，會彈出韌體更新對話框，對話框中的檔案選擇會列出符合此裝置作業系統可供更新的韌體檔案。

- 裝置韌體更新

![](../uploads/images/CondorDM/76.png)

在視窗下拉選單選擇欲更新的韌體檔案後點擊『Execute』按鈕，系統將對裝置送交韌體更新任務，後續可在Task頁籤追蹤裝置執行進度，同時應可在裝置上看到進行韌體更新的運作。

**裝置群組（Group）**

此頁面呈現所有群組列表及相關操作。

- 群組管理頁面

![](../uploads/images/CondorDM/77.png)

- 群組管理頁面之功能與欄位說明

|項目|說明|
|------|--------|
|![](../uploads/images/CondorDM/78.png)|新增裝置群組|
|![](../uploads/images/CondorDM/79.png)|刪除裝置群組|
|![](../uploads/images/CondorDM/80.png)|編輯裝置群組|
|Name|	裝置群組名稱|
|Devices|	裝置群組中包含的裝置成員數量|
|Operating System|	群組裝置成員共同的作業系統平台，目前支援Windows、Android、Linux三種|
|Remark|	裝置群組的備註說明|

**建立群組（Create Group）**

在功能列中，按下『Add』，便會切換到新增Group表單畫面

- 裝置群組新增畫面¬－步驟一

![](../uploads/images/CondorDM/81.png)

裝置群組的建立包含兩個步驟：
步驟一：選擇裝置成員共同的的作業系統平台，選好後按下『Next』進入步驟二。

- 裝置群組新增畫面¬－步驟二

![](../uploads/images/CondorDM/82.png)

表單中需填寫以下資料

1. Group Name（必填）：裝置群組的名稱
2. Remark：裝置群組的備註說明

輸入及選擇完成後按下『Save』完成裝置群組的新增。

**刪除群組（Delete Group）**

從列表中選定欲刪除的資料後，按下『刪除』圖示，則資料將會從列表中移除。

**編輯群組（Edit Group）**

從列表中選定一筆欲修改的群組後，按下資料右方的『編輯』圖示，即可進行修改。修改時僅能針對群組的備註說明進行調整。

**群組管理**

從列表中點選裝置群組的名稱後，畫面將呈現App Management以及Task頁籤，預設呈現的App Management頁籤提供針對隸屬群組的裝置進行應用程式管理。

- 裝置群組管理畫面

![](../uploads/images/CondorDM/83.png)

**軟體管理（App Management）**

此頁面包含管理作業（Actions）與即時任務狀態（Real-Time Tasks）兩個部分

- 裝置群組應用程式管理畫面

![](../uploads/images/CondorDM/84.png)

管理作業包含應用程式的安裝、移除、啟動、中止，以及韌體更新，頁面中列表欄位與功能說明，詳細功能及操作在後續小節進行說明；即時任務狀態（Real-Time Tasks）則是在進行任一管理作業後顯示群組中裝置的任務執行進度狀態，該狀態將於關閉瀏覽器後清除，若要進行細部追蹤則需切至裝置群組管理歷程記錄（Task）中查閱。

- 裝置群組應用程式管理作業功能說明

|項目|說明|
|------|--------|
|![](../uploads/images/CondorDM/85.png)|安裝應用程式|
|![](../uploads/images/CondorDM/86.png)|移除應用程式|
|![](../uploads/images/CondorDM/87.png)|啟動已安裝應用程式|
|![](../uploads/images/CondorDM/88.png)|中止運作中應用程式|
|![](../uploads/images/CondorDM/89.png)|韌體更新|
|![](../uploads/images/CondorDM/147.png)|Agent軟體更新|
|![](../uploads/images/CondorDM/90.png)|清除所有即時任務狀態顯示|
|![](../uploads/images/CondorDM/91.png)|清除單筆即時任務狀態顯示|
|Task ID|	任務ID|
|Task Name|	任務名稱（類型）|
|Submit Time|	任務發送給裝置的時間|
|Status|	以進度條顯示群組中裝置的任務執行進度狀態|

**安裝應用程式**

在裝置群組的應用程式管理畫面中點選『安裝』圖示進入應用程式安裝功能

- 裝置群組安裝應用程式畫面

![](../uploads/images/CondorDM/92.png)

在畫面中選擇應用程式檔案名稱（可在查詢欄位輸入名稱條件來篩選符合的應用程式），完成後點擊『Save』按鈕會回到裝置群組的應用程式管理畫面，同時在即時任務狀態列表中增加一筆剛剛執行的任務紀錄，此時可監控此進度來了解此群組內裝置安裝任務的執行狀態。

- 裝置群組應用程式管理即時任務狀態顯示

![](../uploads/images/CondorDM/93.png)

**移除應用程式**

由於裝置群組為裝置的集合，在進行應用程式移除功能時，僅能指定欲移除的檔案，裝置在接收到移除任務後會與自身檔案清單進行比對，若裝置已安裝被指定移除的應用程式則會進行移除。

**啟動已安裝的應用程式**

由於裝置群組為裝置的集合，在進行應用程式啟動功能時，僅能指定欲啟動的檔案，裝置在接收到啟動應用程式任務後會與自身檔案清單進行比對，若裝置已安裝該應用程式，則會進行啟動該應用程式的作業。

**中止正在運作的應用程式**

由於裝置群組為裝置的集合，在進行應用程式中止功能時，僅能指定欲中止的檔案，裝置在接收到中止應用程式任務後會與自身檔案清單進行比對，若裝置已安裝該應用程式並且該應用程式處於運作中，則會進行中止應用程式的作業。

**韌體更新**

進行此操作前須確認韌體檔案已上架。

**Agent自我更新**

進行此操作前須確認Agent檔案已上架。

**裝置管理（Device Management）**

將呈現所有裝置控制列表

1.	周邊設備：『照相機』、『觸控面板』
2.	輸入/輸出：『條碼掃描器』、『GPS』、『鍵盤』、『USB』
3.	網際網路：『藍芽』、『乙太網路』、『無線區域網路』、『無線廣域網路』等。並可檢視符合開啟/關閉該功能的裝置數量

- 裝置群組管理畫面

![](../uploads/images/CondorDM/94.png)

- 裝置群組周邊功能畫面

![](../uploads/images/CondorDM/95.png)

在此舉『照相機』為例子

- 裝置群組周邊功能畫面說明

|項目|說明|
|------|--------|
|![](../uploads/images/CondorDM/96.png)|顯示符合已開啟照相機功能的裝置數量|
|![](../uploads/images/CondorDM/97.png)|顯示符合已關閉照相機功能的裝置數量|
|![](../uploads/images/CondorDM/98.png)|顯示符合無法得知照相機功能狀態的裝置數量|

- 裝置群組周邊功能設定畫面

![](../uploads/images/CondorDM/99.png)

並可點選 Open(開)、Close(關)，之後按下 ，來操控該功能的開關，其他周邊功能依此類推，在此不再細述。

**群組事件（Group Event）**

此頁籤呈現單台裝置所有事件列表

- 群組事件列表

![](../uploads/images/CondorDM/100.png)

- 群組事件列表欄位說明

|項目|說明|
|------|--------|
|![](../uploads/images/CondorDM/101.png)|重新整理事件列表|
|Event Name|事件名稱|
|Event Type|事件類型|
|Device Name|裝置名稱|
|Remark|事件備註說明|
|Event Time|事件發生時間|

**管理任務執行狀態（Task）**

此頁籤呈現裝置群組執行過的任務列表

- 裝置群組任務紀錄列表

![](../uploads/images/CondorDM/102.png)

- 裝置群組任務紀錄列表欄位說明

|項目|說明|
|------|--------|
|Task ID|任務流水號|
|Creator|管理任務建立人員|
|Submit Time|管理任務建立時間|
|Remark|任務備註說明|
|Status|任務的執行狀態，分為Ready、Progress、Success以及Fail四種狀態|
|Progress|任務執行進度狀態，分母為該群組中裝置的總數，分子為已執行完成的裝置數量，任務最右方的『>』按鍵切換到任務執行進度細節畫面。|

點選任務最右方的 可切換到該筆任務執行進度細節畫面，畫面左上方顯示該筆任務的資料，右方圓餅圖呈現群組成員裝置執行的狀態統計，下方列表呈現群組成員裝置執行的進度細節、列表欄位，點選左上方『Back to list』可回到裝置群組任務紀錄列表。

- 裝置群組任務執行進度細節畫面

![](../uploads/images/CondorDM/103.png)

- 裝置群組任務執行進度細節列表欄位說明

|項目|說明|
|------|--------|
|ID|子任務流水號|
|Device Name|裝置序號名稱|
|State|任務的執行狀態，分為Prepared、Submitted、Timeout、Failed以及Completed五種狀態|
|Last Update Time|狀態更新的時間|
|Remark|任務備註說明|

- 任務的執行狀態說明

|項目|說明|
|------|--------|
|準備中（Prepared）|管理任務已建立，等候裝置連入伺服器抓取任務|
|已派送（Submitted）|裝置已連入伺服器取得任務並處於執行任務中|
|逾時（Timeout）|裝置執行此任務逾時|
|失敗（Failed）|裝置執行失敗|
|完成（Completed）|裝置執行成功|

檔案(Applications)
-----------

檔案功能選單中包含Apps、Firmware二個功能，Apps功能用來管理(上架)可安裝在裝置上的應用程式；Firmware頁籤用來管理(上架)裝置韌體更新所需的檔案。

- 檔案管理頁面

![](../uploads/images/CondorDM/104.png)

**應用程式(Apps)**

點選Apps功能選單後，右方將呈現應用程式的檔案列表及相關操作的畫面，其中根據不同的作業系統平台(Operating System)分為Windows、Android與Linux頁籤，

- 應用程式檔案管理頁面

![](../uploads/images/CondorDM/105.png)

- 應用程式管理頁面之功能與欄位說明

|項目|說明|
|------|--------|
|![](../uploads/images/CondorDM/106.png)|應用程式上架|
|![](../uploads/images/CondorDM/107.png)|下載應用程式檔案|
|![](../uploads/images/CondorDM/108.png)|刪除應用程式檔案|
|Name|應用程式名稱 |
|Creator|檔案上傳者的名稱|
|Version|檔案的版本|
|File Size|應用程式的檔案大小|
|Package Name|檔案的套件名稱|
|Remark|檔案的備註說明|


**應用程式上架(Upload App)**

在對裝置進行遠端軟體安裝之前，必須要準備可供裝置下載的應用程式(Apps)，將該應用程式依據作業系統平台上架到伺服器上。

- 應用程式上架

![](../uploads/images/CondorDM/109.png)

這邊將示範三種作業系統如何上架應用程式，首先在左方功能選單中點選『Applications』下的『Apps』來進入檔案管理功能，因此要切換該作業系統的頁籤，點選『Upload』 後，將切換到應用程式檔案上架表單畫面。

**Android應用程式**

- 應用程式上架表單畫面（Android）

![](../uploads/images/CondorDM/110.png)

表單中需填寫以下資料

1. Remark：應用程式的備註說明
2. App File：應用程式檔案(必填)

填寫完畢點選『Save』後等待上傳完成上架程序，完成後畫面將會切回至Android應用程式的檔案列表。

- 應用程式檔案管理頁面

![](../uploads/images/CondorDM/111.png)

**Linux應用程式**

- 應用程式上架表單畫面（Linux）

![](../uploads/images/CondorDM/112.png)

表單中需填寫以下資料

1. Name（必填）：應用程式的檔案名稱
2. Package ID（必填）：
3. Version（必填）：應用程式的版本
4. Remark：應用程式的備註說明
5. App File：應用程式檔案

填寫完畢點選『Save』後等待上傳完成上架程序，完成後畫面將會切回至Linux應用程式的檔案列表。

- 應用程式檔案管理頁面

![](../uploads/images/CondorDM/113.png)

**Windows應用程式**

- 應用程式上架表單畫面（Windows）

![](../uploads/images/CondorDM/114.png)

表單中需填寫以下資料

1.	Name（必填）：應用程式的檔案名稱
2.	Version（必填）：應用程式的版本
3.	Install Path：應用程式安裝後的執行檔檔案所在目錄路徑位址
4.	Process Name：應用程式安裝後的執行檔檔名
5.	Remark：應用程式的備註說明
6.	App File：應用程式檔案

填寫完畢點選『Save』後等待上傳完成上架程序，完成後畫面將會切回至Windows應用程式的檔案列表。

- 應用程式檔案管理頁面

![](../uploads/images/CondorDM/115.png)

**刪除應用程式**

從列表中選定欲刪除的資料後，按下『刪除』圖示，則資料將會從列表中移除。

**韌體(Firmware)**

點選Firmware功能選單後，右方將呈現韌體的檔案列表及相關操作的畫面，其中根據不同的作業系統平台(Operating System)分為Windows以及Android頁籤。

- Firmware頁籤

![](../uploads/images/CondorDM/116.png)

- 韌體管理頁面之功能與欄位說明

|項目|說明|
|------|--------|
|![](../uploads/images/CondorDM/117.png)|韌體檔案上架|
|![](../uploads/images/CondorDM/118.png)|下載韌體檔案|
|![](../uploads/images/CondorDM/119.png)|刪除韌體檔案|
|Name|韌體名稱  |
|Creator|檔案上傳者的名稱|
|Version|檔案的版本|
|File Size|應用程式的檔案大小|
|Upload Time|檔案上架的時間|
|Remark|檔案的備註說明|


**韌體上架(Upload Firmware)**

Windows、Android與Linux的上架畫面與流程完全相同，韌體的上架方式與應用程式類似，首先在左方功能選單中點選『Applications』下的『Firmware』來進入韌體檔案管理功能，接著切換到Android的頁籤，點選『Upload』後，將切換到韌體上架表單畫面。

- 韌體上架表單

![](../uploads/images/CondorDM/120.png)

表單中需填寫以下資料：

1. Name（必填）：韌體的名稱
2. Version（必填）：韌體的版本
3. Remark：韌體的備註說明
4. Firmware File（必填）：點選後選擇要上架的韌體檔案

填寫完畢點選『Save』後等待上傳完成上架程序，完成後畫面將會切回至韌體的檔案列表。

**刪除韌體檔案**

從列表中選定欲刪除的資料後，按下『刪除』圖示，則資料將會從列表中移除。

裝置端管理軟體 (Agent)
-----------
點選裝置端管理軟體功能選單後，右方將呈現裝置端管理軟體的檔案列表及相關操作的畫面，其中根據不同的作業系統平台（Operating System）分為Windows、Android與Linux頁籤。
Windows、Android與Linux的操作方式完全相同，後續章節將不獨立介紹，僅列出上架（Upload）時填寫欄位差異的部分。

- 裝置端管理軟體頁籤畫面

![](../uploads/images/CondorDM/121.png)

- 裝置端管理軟體管理頁面之功能與欄位說明

|項目|說明|
|------|--------|
|![](../uploads/images/CondorDM/122.png)|裝置端管理軟體上架|
|![](../uploads/images/CondorDM/123.png)|下載裝置端管理軟體|
|![](../uploads/images/CondorDM/124.png)|刪除裝置端管理軟體|
|Name|韌體名稱  |
|Creator|檔案上傳者的名稱|
|Version|檔案的版本|
|File Size|應用程式的檔案大小|
|Upload Time|檔案上架的時間|
|Remark|檔案的備註說明|

**裝置端管理軟體上架 (Upload Agent)**

Windows、Android與Linux的上架畫面與流程完全相同，裝置端管理軟體的上架方式與應用程式類似，首先在左方功能選單中點選『Applications』下的『Agent』來進入裝置端管理軟體檔案管理功能，接著切換到Android的頁籤，點選『Upload』後，將切換到裝置端管理軟體上架表單畫面

- 裝置端管理軟體上架表單畫面

![](../uploads/images/CondorDM/125.png)

表單中需填寫以下資料：

1.	Name（必填）：裝置端管理軟體的名稱
2.	Version（必填）：裝置端管理軟體的版本
3.	Remark：備註說明
4.	Agent File（必填）：點選後選擇要上架的裝置端管理軟體

填寫完畢點選『Save』後等待上傳完成上架程序，完成後畫面將會切回至裝置端管理軟體的檔案列表

**刪除裝置端管理軟體**

從列表中選定欲刪除的軟體檔案後，按下『刪除』圖示，則該筆檔案將會從列表中移除。

使用者（Account）
-----------

Account功能提供管理者創建或維護系統操作帳號。在左方功能選單中點選Account功能後，右方畫面將呈現使用者列表及相關操作的頁面。

- Account管理畫面

![](../uploads/images/CondorDM/126.png)

- Account管理頁面之功能與欄位說明

|項目|說明|
|------|--------|
|![](../uploads/images/CondorDM/127.png)|新增一位使用者|
|![](../uploads/images/CondorDM/128.png)|刪除選定的使用者|
|![](../uploads/images/CondorDM/129.png)|編輯選定的使用者|
|Name|使用者登入帳號，可點擊查閱該使用者權限細節 |
|Tenant|該名使用者所屬用戶群 |
|User Role|使用者的權限等級，賦予使用者登入系統後能行使的權限|
|Email|使用者的電子信箱，提供系統寄送事件通知信或裝置資訊|
|Remark|使用者資料的備註說明|

**新增使用者（Add Account）**

在功能列表中，按下『Add』，便會切換到新增使用者表單畫面

- 新增使用者畫面－步驟一

![](../uploads/images/CondorDM/130.png)

新增使用者包含兩個步驟，表單的步驟一：填寫新增使用者的基本資料，需填寫欄位如下：

1.	Account（必填）：使用者登入的帳號
2.	Description：該名使用者的備註說明
3.	Password（必填）：使用者登入之密碼
4.	Confirm password（必填）：再次輸入登入之密碼
5.	E-mail：提供系統寄送事件通知信或裝置資訊，例如當裝置有錯誤發生將寄信通知的郵件位址
6.	Portrait：選擇該使用者的人頭像檔案

- - -

- 新增使用者畫面－步驟二

![](../uploads/images/CondorDM/131.png)

表單的步驟二中，設定該使用者的角色權限：

Select user role（必選）：選擇該使用者適切的權限類型，提供以下三種權限模式：

1.	System Owner：系統最高權限使用者，當選擇此權限時，該使用者隸屬於系統預設的System用戶，右方Tenant不提供選擇
2.	Tenant Owner：用戶管理者
3.	Tenant User：用戶的使用者，當選擇此權限時，需針對下方的權限表進行細部勾選

Tenant（必選）：使用者隸屬的用戶，僅在選擇權限為Tenant Owner或Tenant User時才可選擇，選擇System Owner權限時不提供選擇

- 新增使用者畫面¬－步驟二權限設定範例

![](../uploads/images/CondorDM/132.png)

若填寫的資料無誤，按下『Save』即可完成使用者新增

**刪除使用者（Delete Account）**

從列表中選定欲刪除的資料後，按下『刪除』圖示，則資料將會從列表中移除。

**編輯使用者（Edit Account）**

從列表中選定一筆欲修改的群組後，按下資料右方的『編輯』圖示，即可進行修改。

用戶（Tenant）
-----------

實務中，有將裝置按營運商或專案來切分，而期望管理行為互不影響之需求，因此實際營運過程中便可透過此用戶（Tenant）功能，來將裝置分派至獨立的管理環境。
這裡的獨立管理環境指的是－在一個用戶之中，有著以下獨立的資料或設定：

1.	裝置：一台裝置僅能隸屬於一個用戶，因此在裝置清單中只會呈現屬於此用戶的裝置
2.	裝置群組：建立的裝置群組隸屬於當前用戶之中，不同的用戶看不到彼此裝置群組的存在 
3.	檔案（Apps）：上傳的檔案隸屬於當前用戶之中，不同的用戶看不到彼此檔案的存在
4.	產品型號設定：產品型號設定的周邊回報項目與回報頻率僅會影響隸屬於此用戶的裝置
5.	裝置監控事件條件設定：裝置監控事件條件設定僅會監控隸屬於此用戶的裝置

具備系統管理者角色權限（System Owner）才可使用用戶功能，此頁面呈現所有Tenant列表及相關操作。

- Tenant管理畫面

![](../uploads/images/CondorDM/133.png)

其中System為系統預設的用戶，隸屬於此用戶的裝置意義上代表著未受指派的意思，實務運作中，首要任務便是須根據應用情境創建用戶（Tenant），接著把裝置指派到該用戶中進行後續的裝置管理行為。

- Tenant管理頁面之功能與欄位說明

|項目|說明|
|------|--------|
|![](../uploads/images/CondorDM/134.png)|創建用戶|
|![](../uploads/images/CondorDM/135.png)|刪除用戶|
|![](../uploads/images/CondorDM/136.png)|編輯選定的Tenant|
|![](../uploads/images/CondorDM/137.png)|查看或指派隸屬此用戶的裝置|
|![](../uploads/images/CondorDM/138.png)|查看此用戶的使用者|
|Name|Tenant名稱 |
|Devices|隸屬於此Tenant下的裝置數量，可點擊進入細節畫面|
|Users|隸屬於此Tenant下的使用者數量，可點擊進入細節畫面|
|Remark|Tenant的描述與說明|

**建立用戶（Create Tenant）**

在功能列表中，按下『Add』 ，便會切換到建立用戶（Create  Tenant）表單畫面。

- Tenant新增畫面

![](../uploads/images/CondorDM/139.png)

在表單中，需填寫以下三欄資料：

1.	Tenant Name（必填）：用戶的名稱
2.	Description：用戶的備註描述
3.	Device management limit：該用戶所能創建的使用者上限

填寫完成後點選『Save』完成用戶的建立，畫面會切回到Tenant管理頁面(注意！此時僅是完成用戶的建立，尚未對該用戶指派任何管理的裝置以及使用者)

承上，回到管理頁面後，畫面中會列出剛才建立的用戶資料，但因尚無指派Devices與Users，故此資料的Devices與User數量均為0，接著我們可以點選『查看或指派隸屬此用戶的裝置』圖示 進入裝置指派作業

進入裝置指派作業操作步驟，透過勾選的方式綁定隸屬用戶（Tenant）的裝置（Devices）

- 用戶裝置指派步驟

![](../uploads/images/CondorDM/140.png)

若填寫的資料無誤，按下『Save』即可完成裝置的指派

用戶的使用者指派需在使用者（User）新增或編輯功能進行指派作業

**刪除用戶（Delete Tenant）**

從列表中選定欲刪除的資料後，按下『刪除』圖示，則資料將會從列表中移除，移除時會將原先隸屬此用戶的裝置指派到System用戶去。

**編輯用戶（Edit Tenant）**

從列表中選定一筆欲修改的群組後，按下資料右方的『編輯』圖示，即可進行修改。

紀錄(Log)
-----------

此選單包含Account Log、System Log和Task Log三個畫面，Account Log用來查看所有使用者針對系統的操作紀錄；System Log用來查看系統內部任何時間發生的事件紀錄，有助於了解系統運作的情形；Task Log用來查看所有已執行或執行中的任務。

**使用者紀錄(Account Log)**

此頁面呈現所有登入者的操作紀錄。

- Account Log管理畫面

![](../uploads/images/CondorDM/141.png)

- Account Log管理頁面之欄位說明

|項目|說明|
|------|--------|
|Name|使用者的帳號|
|Remark|操作行為的描述|
|Time|發生時間 |

**System Log**

此為呈現系統內部的執行紀錄，頁面中列表欄位說明請見

- System Log管理畫面

![](../uploads/images/CondorDM/142.png)

- System Log管理頁面之欄位說明

|項目|說明|
|------|--------|
|Action|系統內部執行的行為|
|Remark|行為的描述|
|Time|發生時間 |

**任務紀錄(Task Log)**

此頁面呈現所有已執行或執行中的任務紀錄。

- Task Log列表

![](../uploads/images/CondorDM/143.png)

- Task Log列表欄位說明

|項目|說明|
|------|--------|
|ID|任務的流水號 |
|Task Name|任務名稱|
|Task Type|任務類型，分為App Management或是Device Management|
|Creator|管理任務建立人員|
|Submit Time|管理任務建立時間 |
|Schedule|任務預定執行時間|
|Status|任務的執行狀態，分為Ready、Progress、Success以及Fail四種狀態|

點選任務名稱(Name)可切換到該筆任務執行進度細節畫面，畫面左上方顯示該筆任務的資料，右方圓餅圖呈現參與任務的裝置執行狀態統計。

- 任務執行進度細節

![](../uploads/images/CondorDM/144.png)

- 裝置群組任務執行進度細節列表欄位說明

|項目|說明|
|------|--------|
|ID|裝置序號|
|Device Name|裝置序號名稱|
|Status|任務的執行狀態，分為Prepared、Submitted、Timeout、Failed以及Completed五種狀態|
|Last Update Time|狀態更新的時間 |

- 任務的執行狀態說明

|狀態|說明|
|------|--------|
|準備中（Prepared）|管理任務已建立，等候裝置連入伺服器抓取任務|
|已派送（Submitted）|裝置已連入伺服器取得任務並處於執行任務中|
|逾時（Timeout）|裝置執行此任務逾時|
|失敗（Failed）|裝置執行失敗|
|完成（Completed）|裝置執行成功|



