EI-Dashboard User Guide
==========

Overview
------

Dashboard is a HTML-based engine for visualizing all kind of real-time and historic data from IoT devices, it provides a variety of widgets and data sources to help user create IoT dashboard.


Basic feature
----------

1. EI-Dashboard provides multi-user management, each login user has own configuration.
2. EI-Dashboard provides multi-sheet for one account, max to 8.
3. EI-Dashboard provides variety of Data Source to retrieve data.(current amount is 8, can be expanded).
4. EI-Dashboard provides  variety of Widget to display data.(current amount is 19, can be expanded).
5. EI-Dashboard provides export and import for single sheet configuration.
6. EI-Dashboard provides two kind of theme : DeepDark / Clear White.
7. EI-Dashboard meets the requirements of RWD(*Responsive Web Design*) both for desktop and mobile devices.

Login
--------

EI-Dashboard  provides self login and Azure SSO .

1. Input username / password to sign in (demo/demo for read only preview).
2. Sign in by Microsoft Azure AD. (Click Sign up by Microsoft Azure AD for online register account)

![](../uploads/images/EI-Dashboard/01.jpg)

Main Layout
---------

EI-DashBoard main screen consists of three parts : **ToolBar, Grid, Data Sheet**

![](../uploads/images/EI-Dashboard/02.jpg)

1. Toolbar : Toolbar provides basic main functions for dashboard management: **User, Export, Import, Add Pane,  Clean White/Deep Dark, Widget Extension Guide, Logout** and** DataSources**.
2. Grid : Grid supports intuitive drag-and-drop widgets from spanning multiple columns. It stores all the widgets and data sources from data-sheet. After fetch data from data source, the widget value will be updated automatically.
3. Data Sheet : Provides sheet operation, include **Add, Delete, Switch, Rename** sheets.


Basic operation
-------------

1. Login to EI-DashBoard.
2. Add a sheet and rename it (double click the sheet name).
3. Add a data source to retrieve data.
4. Add a pane.
5. Add a widget to the pane.
6. Save the sheet.


Data source
----------

EI-Dashboard is a Data Source triggered application. Once a data source is  update the corresponding widgets will be refreshed. Click the Data Source icon on the upper right corner to maintain data sources.

![](../uploads/images/EI-Dashboard/03.jpg)

Type of Data Sources : 

![](../uploads/images/EI-Dashboard/04.jpg)

1. **Time Clock** : Give the current time in a certain interval.
2. **Json Content** : Retrieve the desired data of json format from specified url.
3. **Yahoo Weather API** : Retrieve the weather information of specified city from Yahoo.
4. **WebSocket** – Data Stream : Build a web socket to listen data from another server. It is dependence on browser  and security concerned (SSL enable).
5. **EI-PaaS : Real-time Data** : Retrieve the sensor real-time data from EI-PaaS server. Assign the server URL, and follow sequence “DEVICE”→”PLUGIN”→”SOURCE” to locate a sensor.
6. **EI-PaaS : Historical Data** : Retrieve the sensor historical from EI-PaaS server. Assign the server URL, and follow sequence “DEVICE”→”PLUGIN”→”SOURCE” to locate a sensor.
7. **EI-PaaS : Get ECR Amount** : Retrieved the daily income details of a specified  Electronic cash register. 
8. **EI-PaaS : Get ECR Total** : Retrieved the daily income details of all  Electronic cash register.

Data Source configuration : ex : EI-PaaS : Real-time Data

![](../uploads/images/EI-Dashboard/05.jpg)

Widget
------

A widget is the basic unit to display data on EI-DashBoard. All you need to do is set up the data source, add an appropriate widget, and then bind the value to be displayed.
The first step is to add a pane, click the **Add pane** icon on Tool Bar. And then press Add widget icon (+) to add a widget in to a pane.A pane can hold multiple widgets.

![](../uploads/images/EI-Dashboard/06.jpg)

Type of Widgets : 

- **Text**: This is a widget that can display text and sparkline chart. The data source is a single value, specify the DATA to the last layer "v", ex: datasources["Co2"]["itemList"]["0"]["v"]

![](../uploads/images/EI-Dashboard/07.jpg)

- **Picture**: This is a widget that can display the image. It is used to be used to display an image, such as a Web camera. The data source is a single value, specify the DATA to the last layer "v", ex: datasources["advantech"]["itemList"]["0"]["v"]

![](../uploads/images/EI-Dashboard/08.jpg)

- **HTML**: This is a widget that can display the HTML. Usually embeds an iFrame to display an external page ,ex: HTML CONTENTS : &lt;iframe frameBorder="0" src='http://www.advantech.com/' style="width: 100%; height: 100%; overflow: hidden;"/&gt;

![](../uploads/images/EI-Dashboard/09.jpg)

- **Pointer**: This is a widget that can display the direction and value. The data source is a single value, specify the DATA to the last layer "v", ex: datasources["Co2"]["itemList"]["0"]["v"]

![](../uploads/images/EI-Dashboard/10.jpg)

- **Indicator**: This widget is lit under the conditions of the specified value. 1 is turned on, and set 0 to OFF. The data source is a single value, specify the DATA to the last layer "v", ex: datasources["Led"]["itemList"]["0"]["v"]
 
![](../uploads/images/EI-Dashboard/11.jpg)

- **Gauge**: This is a widget that can display a gauge. The data source is a single value, specify the DATA to the last layer "v", ex: datasources["Co2"]["itemList"]["0"]["v"]

![](../uploads/images/EI-Dashboard/12.jpg)

- **Fan**: This is a widget that can display fan of image. 1 is turned on, and set 0 to OFF. The data source is a single value, specify the DATA to the last layer "v", ex: datasources["Co2"]["itemList"]["0"]["v"] 

![](../uploads/images/EI-Dashboard/13.jpg)

- **Progressbar**: This widget that can display horizontal progressboar. The data source is a single value, specify the DATA to the last layer "v", ex: datasources["Co2"]["itemList"]["0"]["v"]

![](../uploads/images/EI-Dashboard/14.jpg)

- **RAG Indicator** : This is a widget that can display different lights (0:red, 1:amber, 2:green) according to the state. The data source is a single value, specify the DATA to the last layer "v", ex: datasources["Led"]["itemList"]["0"]["v"]

![](../uploads/images/EI-Dashboard/15.jpg)

- **On / Off** : This widget  can switch On / Off of a sensor according to data source. The data source is a single value, specify the DATA to the last layer "v", ex: datasources["GPIO"]["itemList"]["0"]["v"]

![](../uploads/images/EI-Dashboard/16.jpg)

- **NodeRed Threshold** : This widget that can set a threshold to NodeRed according to node name from the specified Node-Red server.

![](../uploads/images/EI-Dashboard/17.jpg)

- **Table**: This is a widget that can display table of HTML. The data source is a multi-rows value, specify the DATA to the datasource, ex: datasources["0016"]

![](../uploads/images/EI-Dashboard/18.jpg)

- **Chart**: This is a widget that can display a variety of formats chart. The data source is a multi-rows value, specify the DATA to the datasource, ex: datasources["0016"]

![](../uploads/images/EI-Dashboard/19.jpg)

- **Google Map** :  This is a widget that can display google map with multiple markers. The data source is a multi-rows value, specify the DATA to the datasource, ex: datasources["devices"]

![](../uploads/images/EI-Dashboard/20.jpg)

- **IAQ 曲線圖** : This is a widget that can display historical line chart of **IAQ **devices. The data source is a multi-rows value, specify the DATA to the datasource, ex: datasources["Co2"]

![](../uploads/images/EI-Dashboard/21.jpg)

- **IAQ 圖片** : This is a widget that can display a integrated air quality chart from **IAQ **devices for example : Co2, PM10, PM2.5...., please specified the corresponding value for each data source.

![](../uploads/images/EI-Dashboard/22.jpg)

- **IAQ 圓餅圖** :  This is a widget that can display a donut chart from **IAQ **devices during a period of time. You are able to set a appropriate threshold to display the data range and get a average at the center of the chart. The data source is a single value, specify the DATA to the last layer "v", ex: datasources["Co2"]

![](../uploads/images/EI-Dashboard/23.jpg)

- **IAQ 柱狀圖** : This is a widget that can display a bar chart from Electronic cash registeres during a period of time. The data source is a multi-rows value, specify the DATA to the datasource, ex: datasources["ECR_Total"]

![](../uploads/images/EI-Dashboard/24.jpg)

- **VCM Video Widget** : This is a widget that can display a real-time video from **VCM **server. You only need to specify the Server URL, Enterprise ID and Channel, and do not need to bind a data source.

![](../uploads/images/EI-Dashboard/25.jpg)

