EI-PaaS林口美食街(Food Court) POS 管理資料 User Manual
===

操作流程
---

林口美食街POS管理資料庫利用PosAgent負責取得raw data，透過Meta Data Service每小時上傳Data至EI-PaaS FoodCourt的資料庫。

資料存取介面(API)
---

說明 : SQL查詢所有美食街POS表格資訊

A. Restful API : Get all ECR detailed records  
http://api-foodcourt.wise-paas.com/webresources/SQLMgmt/qryData

HTTP請求形式：POST

Content-Type : application/json

Request payload:

```javascript
{  
  "request": {
    "conditions": {  
      "item": { 
        "@operator": "=",  
    	"@tableField": "foodcourt_master.ecr_no", 
    	"@value": "0012"  
      } 
    },   
    "conditions_op": {   
      "@value": "AND"   
    },   
    "limit": {   
      "@value": "10000" 
    },   
    "offset": {  
      "@value": "0"
    },   
    "orderBy": { 
      "item": { 
        "@tableField": "foodcourt_master.ecr_no",   
    	"@value": "DESC"
      } 
    },   
    "selectFields": {
      "item": [ 
        {  
    	  "@tableField": "foodcourt_master.ecr_no"   
    	}, 
    	{  
    	  "@tableField": "foodcourt_master.txn_no"  
    	}, 
    	{  
    	  "@tableField": "foodcourt_master.txn_time" 
    	}  
      ] 
    }
  }   
}
```

Response payload:

```javascript                               
{   
  "result": {   
    "item": [
      {   
        "txn_no": 1,
        "ecr_no": "0012",   
        "txn_time": "2017-05-15 11:39:23.0"
      },   
      {   
        "txn_no": 2,
        "ecr_no": "0012",   
        "txn_time": "2017-05-15 11:42:47.0"
      },   
      {   
        "txn_no": 3,
        "ecr_no": "0012",   
        "txn_time": "2017-05-15 11:43:30.0"   
      },   
      {
        "txn_no": 4,
        "ecr_no": "0012",   
        "txn_time": "2017-05-15 11:43:40.0"   
      },   
    , ...
    ]
  }   
}                       
```

B.	Restful API : Get ECR amount  
http://api-foodcourt.wise-paas.com/webresources/SQLMgmt/qryData

HTTP請求形式：POST  
                                          
Content-Type : application/json                                            

Request payload:

```javascript  
{  
  "request": {
    "conditions": {   
      "item": [ {  
        "@operator": ">",
        "@tableField": "foodcourt_master.txn_time",   
        "@value": "2017-05-15 0:0:0"   
      }
    }, 
    {  
    "item":  
    {  
      "@operator": "==", 
      "@tableField": "foodcourt_master.ecr_no", 
      "@value": "0015" 
    } 
    }] , 
    "conditions_op": { 
      "@value": "AND" 
    }, 
    "limit": { 
      "@value": "10000" 
    }, 
    "offset": { 
      "@value": "0" 
    }, 
    "orderBy": { 
      "item": { 
      "@tableField": "foodcourt_master.txn_time", 
      "@value": "DESC" 
    } 
    }, 
    "selectFields": { 
      "item": [ { 
        "@tableField": "foodcourt_master.ecr_no" }, { 
        "@tableField": "foodcourt_master.txn_no" }, { 
        "@tableField": "foodcourt_master.TXN_TotSaleAmt" }, { 
        "@tableField": "foodcourt_master.TXN_TotPayAmt" }, { 
        "@tableField": "foodcourt_master.txn_time" 
      } 
    ]} 
  } 
} 
```

Response payload:
```javascript 
{   
  "result": {   
    "item": [ {   
      "txn_no": 1,
      "ecr_no": "0012",   
      "txn_time": "2017-05-15 11:39:23.0"   
    },   
    {   
      "txn_no": 2,
      "ecr_no": "0012",   
      "txn_time": "2017-05-15 11:42:47.0"   
    },   
    {   
      "txn_no": 3,
      "ecr_no": "0012",   
      "txn_time": "2017-05-15 11:43:30.0"   
    },   
    {
      "txn_no": 4,
      "ecr_no": "0012",   
      "txn_time": "2017-05-15 11:43:40.0"   
    },   
    , ...
  ]}   
}                               
```      

C.	Restful API : Get ECR amount  
http://api-foodcourt.wise-paas.com/webresources/SQLMgmt/qryData

HTTP請求形式：POST  
                                          
Content-Type : application/json

Request payload:   
```javascript
{  
  "request": { 
    "conditions": { 
      "item": { 
        "@operator": ">", 
        "@tableField": "foodcourt_master.txn_time", 
        "@value": "2017-5-22 0:0:0" 
      } 
    }, 
    "conditions_op": { 
      "@value": "AND" 
    }, 
    "limit": 
    { 
      "@value": "10000" }, 
      "offset": { 
      "@value": "0" }, 
      "orderBy": { 
      "item": { 
      "@tableField": "foodcourt_master.ecr_no", 
      "@value": "ASC" } 
    }, 
    "selectFields": { 
      "item": [ { 
        "@tableField": "foodcourt_master.ecr_no" }, { 
        "@tableField": "foodcourt_master.txn_no" }, { 
        "@tableField": "foodcourt_master.TXN_TotSaleAmt" }, { 
        "@tableField": "foodcourt_master.TXN_TotPayAmt" }, { 
        "@tableField": "foodcourt_master.txn_time" } 
    ] } 
  } 
}
```   

Response payload:  
```javascript
{  
  "result": { 
    "item": [ { 
      "txn_totsaleamt": 75, 
      "txn_no": 48, 
      "ecr_no": "0011", 
      "txn_totpayamt": 75, 
      "txn_time": "2017-05-22 12:06:33.0" }, 
      ... 
      ... 
      ... 
  ] } 
}
``` 
  
PostgreSQL資料庫表格
---


A. Table Name : foodcourt_master (交易主檔)

|POS欄位名稱|中文欄位名稱|是否必填|欄位屬性|長度|備註|
|:--------|:---------|:----|:-----|:--|:--|
|SYS_StoreNo (Key)|分店編號|M|varchar|6|固定001|    
|TXN_Date (Key)|交易日期|M|varchar|8|YYYYMMDD|
|ECR_No (Key)|收銀機號|M|varchar|6|
|TXN_No (Key)|交易流水號|M|varchar|6|
|TXN_SaleNoteNo|銷貨單號|M|varchar|20|交易日期(8碼)+收銀機號6碼)+流水號(4碼)+支號(2碼)|
|TXN_Time|交易時間|M|varchar|14|YYYYMMDDHHNNSS|
|USR_No|收銀員編號|M|varchar|8|	　
|TXN_Uniform|統一編號|O|varchar|8|	
|TXN_GUIBegNo|起始發票號碼|M|varchar|10|若沒有開立發票則為0000000000|
|TXN_GUIEndNo|終止始發票號碼|M|varchar|10|與起始發票號碼相同，若沒有開立發票則為0000000000|
|TXN_GUICnt|發票號碼張數|M|numeric|4|固定填1|
|TXN_MemCard|員工編號|M|varchar|20|	　
|TXN_TotQty|總數量|M|numeric|10|	　
|TXN_TotSaleAmt|總銷售金額|M|numeric|12,2	|總銷售金額=總應稅銷售金額+總免稅銷售金額|
|TXN_TotSaleTax|總應稅銷售金額|M|numeric|12,2|總應稅銷售金額=總未稅銷售金額+總稅額|
|TXN_TotSaleNoTax|總免稅銷售金額|M|numeric|12,2|	　
|TXN_TotNet|總未稅銷售金額|M|numeric|12,2|	　
|TXN_TotTax|總稅額|M|numeric|12,2|	　
|TXN_TotGUI|總發票金額|M|numeric|12,2	|　
|TXN_TotOver|總溢收金額|M|numeric|12,2|	　
|TXN_DtlCnt|明細項數|M|numeric|4|	　
|TXN_PayCnt|付款項數|M|numeric|4|	　
|TXN_CustCnt|來客數|M|numeric|1|
|TXN_Status|交易狀態|M|varchar|1|N=正常交易|
|TXN_ShiftNo|班別|M|varchar|2|	　
|TXN_TotPayAmt|總付款金額|M|numeric|10,2|	　
|TXN_TaxType|交易稅別|M|varchar|1|(0=免稅 1=應稅 2=零稅)若同一筆有應免稅的商品時，本欄位填1=應稅|

B. Table Name : foodcourt_detail (交易明細檔)

|POS欄位名稱|中文欄位名稱|是否必填|欄位屬性|長度|備註|
|:--------|:---------|:----|:-----|:--|:--|
|SYS_StoreNo (Key)|分店編號|M|varchar|6|固定001|    
|TXN_Date (Key)|交易日期|M|varchar|8|YYYYMMDD|
|ECR_No (Key)|收銀機號|M|varchar|6|
|TXN_No (Key)|交易流水號|M|varchar|6|
|TXN_Item (Key)|項次|M|numeric|4|品項數量|
|TXN_Time|交易時間|M|varchar|14|YYYYMMDDHHNNSS|
|TXN_GUINo|發票號碼|M|varchar|10|	
|PLU_MagNo|商品貨號或是專櫃編號|M|varchar|20|
|PLU_Name|商品名稱|M|varchar|40|請填實際發票上列印的商品名稱|
|TXN_Qty|數量|M|numeric|10|TXN_Item數量|
|PLU_SalePrc|售價|M|numeric|12,2|	
|TXN_SaleAmt|銷售金額|M|numeric|10,2|銷售金額=應稅銷售金額+免稅銷售金額|
|TXN_SaleTax|應稅銷售金額|M|numeric|10,2|應稅銷售金額=未稅銷售金額+稅額|
|TXN_SaleNoTax|免稅銷售金額|M|numeric|10,2|	
|TXN_Net|未稅銷售金額|M|numeric|12,4|	
|TXN_Tax|稅額|M|numeric|12,4|	
|TXN_RebateT|折扣金額|M|numeric|10,2|	
|PLU_TaxType|稅別|M|varchar|1|免稅(0)應稅(1)|

C. Table Name : foodcourt_payment(交易付款檔)

|POS欄位名稱|中文欄位名稱|是否必填|欄位屬性|長度|備註|
|:--------|:---------|:----|:-----|:--|:--|
|SYS_StoreNo (Key)|分店編號|M|varchar|6|固定001|    
|TXN_Date(Key)|交易日期|M|varchar|8|YYYYMMDD|
|ECR_No(Key)|收銀機號|M|varchar|6|	
|TXN_No(Key)|交易流水號|M|varchar	|6|	
|TXN_Item(Key)|項次|M|numeric|4|
|TXN_Time|交易時間|M|varchar|14|YYYYMMDDHHNNSS|
|PAY_No|付款類別|M|varchar|2|員工卡|
|TXN_PayDesc|付款卡號或編號|O|varchar|50|
|PAY_TaxType|稅別|M|varchar|1|付款稅別0:未稅,1:已稅|
|TXN_PayAmt|付款金額|M|numeric|12,2|
|TXN_Status|付款狀態|M|varchar|1|C,D,E不抓|

D. Table Name : foodcourt_type(付款別檔)

|POS欄位名稱|中文欄位名稱|是否必填|欄位屬性|長度|備註|
|:--------|:---------|:----|:-----|:--|:--|
|PAY_No(Key)|付款類別|M|varchar|2|1,15,16,17,18,19|
|PAY_Name|付款類別名稱|M|varchar|20|

E. Table Name : foodcourt_cashier(收銀機檔)

|POS欄位名稱|中文欄位名稱|是否必填|欄位屬性|長度|備註|
|:--------|:---------|:----|:-----|:--|:--|
|ECR_No(Key)|收銀機號|M|varchar|6|11,12,14,15,16|
|ECR_Name|收銀機名稱|M|varchar|10	|
