Management Portal Space Admin Guide
==========


登入界面
-----

進入Technical Portal URL。

* 點擊"Sign In"，會進入登入畫面。
* 輸入帳號密碼登入後，點擊右上角"Console"進入Management Portal管理界面。
* 若沒登入或非Space管理員身分，系統頁面5秒內將自動導回登出頁面。

![](../uploads/images/ManagementPortal/01.png)

操作界面
-----

![](../uploads/images/ManagementPortal/02.png)

* A-1 : 功能選單。
* A-2：功能操作頁面。
* 點擊右上角按鈕回到登出頁面。
* 操作Management Portal功能時，右下角會顯示操作功能的結果說明。
* 過程正常顯示綠色：

![](../uploads/images/ManagementPortal/03.png)

* 過程有誤顯示紅色：

![](../uploads/images/ManagementPortal/04.png)
軟體需求
------

* 建議瀏覽視窗解析度：1024x768或以上。
* 建議瀏覽器(版本以最新為主)：
  Google Chrome
  Microsoft Edge
  IE 11 (Windows 10)
  Safari

Organization 資源監控
-------

此頁面上方顯示此Organization Instance和Memory的使用率，上限值僅能由系統管理者進行變更。

![](../uploads/images/ManagementPortal/05.png)

Space 資源監控
-------

此頁面上方會顯示此Space Instance和Memory的使用率，上限值僅能由系統管理者進行變更。

![](../uploads/images/ManagementPortal/06.png)

應用程式管理
-----

顯示已部署的應用程式列表。

![](../uploads/images/ManagementPortal/07.png)

* State：開啟/關閉應用程式，搭配Package State能更加瞭解應用程式目前狀況。

![](../uploads/images/ManagementPortal/08.png): 開啟中，對應的Package State為Staged，可直接點擊將該應用程式進行關閉。

![](../uploads/images/ManagementPortal/09.png): 關閉中，對應的Package State為Staged，可直接點即將該應用程式進行開啟。
                                                
**註：以上兩個皆為正常操作狀態，因此Package State皆表示正常上架(Staged)。**

![](../uploads/images/ManagementPortal/10.png): 應用程式上架中，對應的Package State為Pending，上架完成會變成State ON。

![](../uploads/images/ManagementPortal/11.png): 應用程式異常，對應的Package State為Failed，應用程式無法啟動，開發者須進行除錯。

* Name：應用程式名稱。
* Instances：應用程式實例總數。
* Memory：應用程式可使用的記憶體空間上限。
* Disk：應用程式可使用的磁碟空間上限。
* URI：開發者上架應用程式時自行設定此URI，點擊此URI會前往該應用程式界面。
* Action : 應用程式的操作，點擊刪除鍵即為刪除應用程式，會跳出詢問視窗。

![](../uploads/images/ManagementPortal/12.png)

* 點擊個別應用程式會出現Application Instance Status、Application Environment Variables以及Application Log：

![](../uploads/images/ManagementPortal/13.png)

Application Instance Status會顯示應用程式實例的使用狀況：

![](../uploads/images/ManagementPortal/14.png)

Application Environment Variables會顯示應用程式的環境變數與綁定服務的存取權限：

![](../uploads/images/ManagementPortal/15.png)

Application Log會顯示最新的操作紀錄：

![](../uploads/images/ManagementPortal/16.png)

應用程式上架
-----
供使用者上架應用程式(目前只支援Java Code)。

![](../uploads/images/ManagementPortal/17.png)

* File：應用程式檔案，必須是zip檔、war檔或jar檔。檔案大小上限為100MB。
**註：能上傳的檔案名稱有限制。**

![](../uploads/images/ManagementPortal/18.png)

* App Name：應用程式名稱，長度限制為16字元。
**註：能輸入的字元有限制。**

![](../uploads/images/ManagementPortal/19.png)

* Memory Size：應用程式可使用的記憶體空間上限。

![](../uploads/images/ManagementPortal/20.png)

* Disk Size：應用程式可使用的磁碟空間上限。

![](../uploads/images/ManagementPortal/20.png)

* Instance : 應用程式實例數量。

![](../uploads/images/ManagementPortal/21.png)

* Route : 應用程式URL名稱，長度限制為16字元，若沒輸入則Application List頁面將不會顯示URI。
**註：能輸入的字元有限制。**

![](../uploads/images/ManagementPortal/22.png)

* 上述欄位輸入完成後點擊下方Push按鈕開始上架應用程式。
**註：若設定的資源超過此Space的上限，此上架的應用程式狀態會變成Pending，無法正常開啟。如所Push的應用程式Memory未超過空間可用餘額，但卻一樣發生此錯誤，此為Cloud Foundry上傳動作使用超過剩餘的Memory，可先選擇較低Memory，上傳成功後，再透過應用程式資源擴增功能調高Memory。**

![](../uploads/images/ManagementPortal/23.png)

應用程式資源擴增/縮減
-----

提供使用者擴增/縮減應用程式資源。

![](../uploads/images/ManagementPortal/24.png)

* App：所選取的應用程式。
* Memory Size：應用程式可使用的記憶體空間上限。

![](../uploads/images/ManagementPortal/25.png)

* Disk Size：應用程式可使用的磁碟空間上限。

![](../uploads/images/ManagementPortal/20.png)

* Instance : 應用程式實例數量。

![](../uploads/images/ManagementPortal/21.png)

* 上述欄位輸入完成後點擊下方Scale按鈕開始擴增/刪減應用程式資源。
**註：若設定的資源超過此Space的上限，此擴增的動作將會失敗。**

![](../uploads/images/ManagementPortal/26.png)

服務實例列表
--------

此頁面顯示已訂閱的服務實例列表，提供服務存取權限資訊。

![](../uploads/images/ManagementPortal/27.png)

* Name：服務實例名稱。
* Service：此實例所屬來源服務。
* Plan：顯示此來源服務所選Plan。
**註：每種服務部署時有Plan可供選擇，Management Portal不提供服務部署功能。**
* Credentials：點擊View可觀看個別服務的存取權限資訊。

![](../uploads/images/ManagementPortal/28.png)

* 若無權限資訊將會顯示：

![](../uploads/images/ManagementPortal/29.png)

API Resources
---------

此頁面提供目前系統上常用元件存取Endpoint資訊，提供使用者便於開發。

![](../uploads/images/ManagementPortal/30.png)

點開Single-Sign-On(More)會顯示目前瀏覽器SSO Token解碼後的使用者資訊。
**註：請參照Single-Sign-On API手冊。**

![](../uploads/images/ManagementPortal/31.png)

點開Common Service(More)會顯示目前不同協定的存取資訊。
**註：請參照Common Data Service API手冊。**

![](../uploads/images/ManagementPortal/32.png)

點擊Download config file可下載一份JSON格式的Endpoint設定檔，此設定檔內容如圖。
**註：此為範例圖片，Domain會因系統設定有所不同。**

![](../uploads/images/ManagementPortal/33.png)

Manage Users
---------

在 Management Portal點擊 "Manage Users" 可開啟新分頁，來進行帳號新增、修改、刪除的操作。

* 在 manageUser.html 頁面點擊 "Create" 可新增帳號，點擊"Manage [View mode]"，可查看使用者資訊一覽表。
* 在 使用者資訊一覽表的 "Operations -> Properties" 可修改使用者資訊。
* 在 使用者資訊一覽表的 "Operations -> Delete" 可刪除使用者資訊。

![](../uploads/images/ManagementPortal/manageUsers.png)

Manage Apps
---------

在 Management Portal點擊 "Manage Apps" 可開啟新分頁，來進行application新增、修改、刪除的操作。在此功能新增application，可以取得Single sign on的WISEAppToken。

* 在 manageApps.html 頁面點擊 "Create" 可新增application，點擊"Manage [View mode]"，可查看application資訊一覽表。
* 在 application一覽表的 "Operations -> Properties" 可修改application資訊。
* 在 application一覽表的 "Operations -> Delete" 可刪除application資訊。

![](../uploads/images/ManagementPortal/manageApps.png)

