Node-RED User Guide
===

Introduction
---

[Node-RED](http://nodered.org/) is a visual wiring tool for the Internet of Things and is provided by IBM Emerging Technologies. Node-Red has several features, including browser-based flow editing, built on Node.js and social development. Because of browser-based, the user can use it more easily. Node-Red is based on Node.js, so user can use its nodes by using JavaScript. Node-Red also have many active communities. If the user finds bugs, he can find a solution and fix it easily. The user can use JSON format string to import or export the created flow easily.

According to the restful API of EI-PaaS, we created several nodes.

![](../uploads/images/Node-RED/01.png)

How to install Node-Red Plug-ins for EI-PaaS
---

- Install Node.js
	- Download installer from [Node-RED website](https://nodejs.org)
	- Double-click to install **Node.js**

![](../uploads/images/Node-RED/02.png)

![](../uploads/images/Node-RED/03.png)

![](../uploads/images/Node-RED/04.png)

![](../uploads/images/Node-RED/05.png)

![](../uploads/images/Node-RED/06.png)

![](../uploads/images/Node-RED/07.png)

![](../uploads/images/Node-RED/08.png)

- Clone [EI-NodeRed](http://advgitlab.eastasia.cloudapp.azure.com/node-red/EI-NodeRed) from GitLab
- Open **cmd.exe** and navigate to **./EI-NodeRed** folder 
- Type command line `npm install` to install the node-red dependencies
- Type command line `npm run build` to build the code of Node-Red
- Type command line `npm start` or `node red.js` to run Node-Red

Node-Red Plug-ins Categories
---

|Category|Description|Nodes|
|--------|-----------|-----|
|General|The settings of IP address, port number, login username/password of EI-PaaS server. Retrieval of device and sensor information.|ServerConfig|
|Common|Query the data and the information of devices, plugins and sensors| 1.DevicesQuery 2.PluginsQuery 3.SensorsQuery 4.DataQuery|
 
Node-Red Plug-ins Description
---

 
|Node Name|Description|Input|Output|
|---------|-----------|-----|------|
|ServerConfig|Set url, port, username and password for EI-PaaS server. The node provides Basic type and SSO type.|A timestamp trigger or button trigger.|msg.url, msg.port, msg.encodestr.|
|DevicesQuery|Retrieve devices information from EI-PaaS server. User can fill a specific Device ID. The text of Device ID can be blank if user wants to retrieve all devices.|ServerConfig Node.|Devices information list.|
|PluginsQuery|Retrieve plugins by device ID within a time range. The maximum number of values is 10000 from EI-PaaS server. User can set the conditions about plugins here. Ex: Device ID, Agent ID, begin timestamp, end timestamp, amount and type.|ServerConfig Node|Plugins Information list.|
|SensorsQuery|Retrieve sensors by Device ID & plugin within a time range. The maximum number of values is 10000 from EI-PaaS server. User can set the conditions about sensors here. Ex: Device ID, Agent ID, Plugin Name, begin timestamp, end timestamp, amount and type.|ServerConfig Node.|Sensors Information list.|
|DataQuery|Retrieve data from WISE PaaS 2.0 server. The node provides three types, they are history, latest and statistic.|ServerConfig Node.|The data of history, statistic or latest by specific device Id within a time range.|

Node-Red for EI-PaaS
---

- General
	- ServerConfig
		- Description: Set url, port, username and password for EI-PaaS server. The node provides Basic type and SSO type.
		- Input: A timestamp trigger or button trigger.
		- Output: msg.url, msg.port, msg.encodestr.
			- Basic: User can set Username and Password. If user calls the restful API of common server, the text box can be blank.

			![](../uploads/images/Node-RED/09.png)
			
			- SSO: User can get accessToken here and call the restful API by the accessToken.

			![](../uploads/images/Node-RED/10.png)
		
- Common
	- DevicesQuery
		
		![](../uploads/images/Node-RED/11.png)
	
		- Description: Retrieve devices information from EI-PaaS server. User can fill a specific Device ID. The text of Device ID can be blank if user wants to retrieve all devices.
		- Input: ServerConfig Node.
		- Output: Device information list.
	
	- PluginsQuery
	
		![](../uploads/images/Node-RED/12.png)

		- Description: Retrieve plugins by device ID within a time range. The maximum number of values is 10000 from EI-PaaS server. User can set the conditions about plugins here. Ex: Device ID, Agent ID, begin timestamp, end timestamp, amount and type.
		- Input: ServerConfig Node.
		- Output: Plugins Information list.
	
	- SensorsQuery

		![](../uploads/images/Node-RED/13.png)
	
		- Description: Retrieve sensors by Device ID & plugin within a time range. The maximum number of values is 10000 from EI-PaaS server. User can set the conditions about sensors here. Ex: Device ID, Agent ID, Plugin Name, begin timestamp, end timestamp, amount and type.
		- Input: ServerConfig Node.
		- Output: Sensors Information list.
	
	- DataQuery	
		- Description: Retrieve data from EI-PaaS server. The node provides three types, they are history, latest and statistic
			- History
				
				![](../uploads/images/Node-RED/14.png)
				
				- Description: Retrieve data by Device ID within a time range. The maximum number of values is 10000.
				- Input: ServerConfig Node.
				- Output : The history data by specific Device ID within a time range.

			- Latest

				![](../uploads/images/Node-RED/15.png)
			
				- Description: Retrieve latest data by Device ID.
				- Input: ServerConfig Node.
				- Output: The latest data by specific Device ID.
	
			- Statistic

				![](../uploads/images/Node-RED/16.png)
			
				- Description: Retrieve statistic data by Device ID within a time range. (Less than 31 days.)
				- Input: ServerConfig Node.
				- Output: The Statistic data by specific Device ID within a time range.

Material
---

[Node-RED Plugins User Manual for EI-PaaS](http://ess-wiki.advantech.com.tw/wiki/images/6/64/NodeRed_for_EI-PaaS.pdf)