RMM Portal User Guide
=======

Why we need RMM and What is RMM?
---------

RMM, which is an abbreviation of Remote Monitoring and Management, is a web-based application for monitoring and managing devices. We can not only view detailed information on devices, but also perform actions on single device or a group of devices we assign. With RMM, we can easily control behaviors and physical condition of devices, thus enhance our work efficiency and effectiveness.


RMM UI Characteristics
---------

EI-PaaS/RMM UI supports responsive design, that is UI will automatically adapt to suitable size and layout with different screen sizes. With responsive design, we can have better web browsing experience. Note that pictures shown below are all in desktop environment.


Formal UI language Introduction
---------

In order to have a more fluent understanding to our EI-PaaS/RMM UI, we have defined several words for our UI elements:

* widget: A complete UI element that displays information or provides specific ways for users to interact with. Take the picture below as an example, we will call the widget as “Role Management widget”.

![](../uploads/images/RMM/01.jpg)

* page: It has breadcrumbs, and one or more widgets inside.

![](../uploads/images/RMM/02.jpg)

General Usage-Flow
---------

![](../uploads/images/RMM/03.jpg)

1. Left navigation bar: Each item represents different page that should be shown in right-side container if it's being clicked.
2. Toggle button in top header: Toggle the left navigation bar if it's being clicked.
3. Sign out button: Please click on the top-right corner of the top header.
4. Advantech website: Please click on the “Advantech Corp.” inside the footer to go to Advantech website. 
5. View table information in detail: Please click on that row of item in the table to figure out detailed information.
6. Go back to previous pages: Please click on breadcrumbs on top of the container.

Sign In
---------

![](../uploads/images/RMM/04.jpg)

There are two ways to sign in to our RMM application:

* RMM sign-in system: Type username and password to log in.
* Single Sign-on system: EI-PaaS/RMM utilizes Microsoft Single Sign-on system, please type Microsoft account and password to log in.

Role Management
---------

![](../uploads/images/RMM/05.jpg)

* After we log in, Role Management is the default page.
* In Role Management page, we can add/edit/delete roles we assign in EI-PaaS/RMM web app.
* Functionalities
    * Editing role
        * Just click on that row of item we want to edit in the table.
    * Deleting role
        * As long as one or more check boxes are being checked, we can  delete roles.
    * Adding role
        * Give our new role a name.
        * Description field is optional.
        * Note
            * Name field: 4-30 characters
            * Description field: 30 characters at most

![](../uploads/images/RMM/06.jpg)

Account Management
---------

![](../uploads/images/RMM/07.jpg)

* In Account Management page, we can add/edit/delete accounts we create in EI-PaaS/RMM web app.
* By choosing specific role inside the Role widget, corresponding account information will be shown inside the Account Management widget. Also we can observe that the name of role we choose is now shown in the header of the Account Management widget.
* Functionalities
    * Editing account
        * Just click on that row of item we want to edit in the table
    * Deleting account
        * As long as one or more check boxes are being checked, we can  delete accounts.
    * Adding account
        * Give our new account a name, password, full name, first name, last name, mail address and which role it should belong to.
        * Every field is required.
        * Note
            * Name field: 4-30 characters
            * Password field: 4-20 characters
            * Full Name field: 4-30 characters
            * First Name field: 4-30 characters
            * Last Name field: 4-30 characters

![](../uploads/images/RMM/08.jpg)

Group Management
---------

![](../uploads/images/RMM/09.jpg)

* In Group Management page, we can add/edit/delete groups we create in EI-PaaS/RMM web app.
* By choosing specific account inside the Device Group widget, corresponding group information will be shown inside the Group Management widget. Also we can observe that the name of account we choose is now shown in the header of the Group Management widget.
* Functionalities
    * Editing group
        * Just click on that row of item we want to edit in the table
    * Deleting group
        * As long as one or more check boxes are being checked, we can  delete groups.
    * Adding group
        * Give our new group a name.
        * Description and Parent Group fields are optional.
            * Description: Give our new group a brief description.
            * Parent Group: Make our new group become a child of another group under other accounts. (Parent group can see detailed information of children groups, we will explain it deeper in sections of Device Management and Power Management)
            * Note
                * Name field: 4-30 characters
                * Description field: 30 characters at most

![](../uploads/images/RMM/10.jpg)


Device Management
---------

![](../uploads/images/RMM/11.jpg)

* In Device Management page, we can add/edit/delete devices we create in EI-PaaS/RMM web app.
* By choosing specific account inside the Device Group widget, corresponding groups under the chosen account will be shown inside the Device Group widget. Then with choosing any group inside the Device Group widget, corresponding devices under the chosen group will be shown in the Device Management widget. Also we can observe that group we chose is in the header of the Device Management widget.
* Functionalities
    * Editing device
        * We have to click the “Edit Mode” button first, then we can click on any row inside the table to go to  Device Edit page.
    * Deleting device
        * As long as one or more check boxes are being checked, we can  delete devices.
    * Adding device
        * We can only add devices that are unassigned yet.
        * As long as one or more check boxes are being checked, we can  add devices.
        * Note
            * To add devices, we need to create a group first. (Create a group under specific account)
    * View device status from its plugin list
        * Just click on that row of item we want to view device status in the table.
        * Only if devices are connected and they have plugins installed, we can view their device status.
        * Now EI-PaaS/RMM supports HDD Monitoring, Network Monitoring, System Monitoring, Process Monitoring and Hardware(SUSIControl) Monitoring.
        
![](../uploads/images/RMM/12.jpg)

![](../uploads/images/RMM/13.jpg)

![](../uploads/images/RMM/14.jpg)

![](../uploads/images/RMM/15.jpg)

* HDD Monitoring
    * We can see HDD information in this HDD Monitoring widget. 
    * If HDD type is STDDisk, then we can also see HDD Smart information shown in the table below.

![](../uploads/images/RMM/16.jpg)

* Network Monitoring
    * We can monitor network usage on this device.
    * We can click on the blue button on the top right of the monitoring plot to change plot type, now EI-PaaS/RMM supports “Line Chart”, “Bar Chart” and “Area Chart”.

![](../uploads/images/RMM/17.jpg)

* System Monitoring
    * We can monitor CPU usage and Memory usage on this device.
    * We can click on the blue button on the top right of the monitoring plot to change plot type, now EI-PaaS/RMM supports “Line Chart”, “Bar Chart” and “Area Chart”.

![](../uploads/images/RMM/18.jpg)

* Process Monitoring
    * We can monitor software process running on this device.
    * We can click on each name of the software process in order to delete or reset it.

![](../uploads/images/RMM/19.jpg)

* Hardware Monitoring
    * We can monitor several physical characteristics on this device, such as “temperature”, “voltage”, “fan speed”.
    * We can see hardware information as a format of table. 

![](../uploads/images/RMM/20.jpg)

* If the device is connected, but it doesn't have any plugin, then we will see that similar UI as following:

![](../uploads/images/RMM/21.jpg)

* if the device is disconnected, but it has some plugins, then we will see that similar UI as following: 

![](../uploads/images/RMM/22.jpg)

Power Management
---------

![](../uploads/images/RMM/23.jpg)

* In Power Management page, we can perform several power related actions on devices we create in EI-PaaS/RMM web app. These actions include “power off”, “reboot”, “hibernate” and “sleep”.
* By choosing specific account inside the Device Group widget, corresponding groups under the chosen account will be shown inside the Device Group widget. Then with choosing any group inside the Device Group widget, corresponding devices under the chosen group will be shown in the Power Management widget. Also we can observe that group we chose is in the header of the Power Management widget.
* We can not only perform power actions on single device, but also on a group of devices.
    * perform power actions on a group of devices
    * perform power actions on single device

![](../uploads/images/RMM/24.jpg)


![](../uploads/images/RMM/25.jpg)

API Document
---------

![](../uploads/images/RMM/26.jpg)

* In API Document page, we can check all APIs provided by EI-PaaS/RMM.
