VCM Portal User Guide
=======
 

What is VCM?
---------
 Video Management System (VMS)利用ONVIF開放協議負責取得攝影機串流，透過AMQP協議上傳Data至WISE-PaaS VCM的資料庫，使用者可透過四步驟輕易整合影像串流級取得分析結果:

![](../uploads/images/VCM/01.png)

1. 提供WISE-PaaS VCM API獲取Dash Server所對應的VCM及CHANNEL訊息

2. 取得VCM訊息後，針對欲瀏覽的主機，傳送上線及預覽影像指令到API port

3. 成功後，影像會從Data Port 拋出。

4. 皆可透過IVA 相關的Restful API 取得實時或歷史分析後的結果
 
Structure of Video Core Module(VCM)
---------
![](../uploads/images/VCM/09.png)

- DASH Server – 將影像轉成html5可以撥放的格式呈現在瀏覽器上
- Video Management System (VMS Service) – 管理影像平台
- Video Analytic – 提供人臉識別及禁區檢測兩種事件分析
- Data Broker – 上傳數據至Azure

Simple Sample
-----

提供完整Demo程式，輕鬆在Chorme瀏覽器預覽影像及回放。


**Download Demo**

[SolutionWorkerWeb_v1](https://drive.google.com/open?id=0B1RTS5LCouxKRXc0YUVmdU9qVGc)

Solution Worker是一隻已經整合SSO機制的Sample, 可以通過調用WISE-PAAS VCM的Restful API獲取VMS和所對應的DASH Server資訊並進行管理。

請把這個demo放到webserver目錄下，本例是放到Apache的htdocs目錄下，如果您是用tomcat或者ISS道理也是一樣的 (直接按兩下是看不到影像的)。


Step1.Sign-up account

請至https://<i></i>portal-sso.wise-paas.com/web/signUp.html申請EI-PaaS帳號

![](../uploads/images/VCM/sign_up.png)

Step2.Sign-in SSO portal

有了EI-PaaS 帳號後，前往https://<i></i>portal-sso.wise-paas.com/web/index.html登入

![](../uploads/images/VCM/sign-IN.png)

![](../uploads/images/VCM/janet_login_page.png)

![](../uploads/images/VCM/janet_login_success.png)

Step3.觀看video

在流覽器中重新輸入http://<i></i>127.0.0.1/SolutionWorkerWeb-v1/ 就可以查看視頻了!


![](../uploads/images/VCM/Solutionworker.png)



How to use WISE-PaaS VCM API
-----

注意若過程中回傳

    {"Version":"2.0.0.1","ErrorCode":"402","ErrorMessage":"token can not be null","dashinfo":""} 

請先登入SSO Portal  - 前往https://<i></i>portal-sso.wise-paas.com/web/index.html 取得token

![](../uploads/images/VCM/sign-IN.png)


以下代稱

[url] api-vcm.wise-paas.com

[enterprise_id] 為林口智能園區的編號3


**Query VCM Information**

可以列舉林口智能園區所有vcm的訊息

>Restful API : url/vcm/vcm?enterprise_id=3 

>HTTP Format：GET

    {
    "Version": "2.0.0.1",
    "ErrorCode": "0",
    "ErrorMessage": "",
    "dashinfo": 
    [
        {
            "eid": "2",
            "password": "12345",
            "dataport": "8089",
            "domain": "admin.a-vcm.com",
            "vmsinfo": 
            [
                {
                    "vid": "1",
                    "vmsname": "vms-01",
                    "ivsid": "vms-2017-05018-001",
                    "channum": "2"
                },
                ...
            ],
            "apiport": "8050",
            "did": "1",
            "username": "admin"
        },
         ...
    ]
    

**Query Channel Information**

列舉VCM主機底下通道的訊息，vcm_id & channel_id為輸入參數。

>Restful API: url/vcm/channel?vcm_id=1&channel_id=3

>HTTP Format：GET

    {
    "Version": "2.0.0.1",
    "ErrorCode": "0",
    "ErrorMessage": "",
    "channelinfo": 
    [
        {
            "vid": "5",
            "channo": "0",
            "frames": "5",
            "channame": "CCD1",
            "id": "1",
            "resolution": "1280x720"
        },
        ...
    ]
    }


**Get the eventtype of the enterprise**

事件查詢,enterprise_id為參數

>Restful API:　/url/vcm/iva/event/type?enterprise_id=3

>HTTP Format：GET

    {
    "Version": "2.0.0.1",
    "ErrorCode": "0",
    "ErrorMessage": "",
    "result": 
        [
          {
            "eventtype": "1"
          }
        ]
    }
    
**Get the record of the iva event**

获取Event信息，必填參數為enterprise_id,start_time,end_time

>Restful API:　/url/vcm/iva/event/record?enterprise_id=3&start_time=1498524975&end_time=1498524975

>HTTP Format：GET


      {
        "Version": "2.0.0.1",
        "ErrorCode": "0",
        "ErrorMessage": "",
        "event": [
          {
            "eventinfo": "rect=800,168,830,222",
            "eventid": "2",
            "eid": "1",
            "channo": "1",
            "eventtype": "2",
            "eventstatus": "2",
            "eventtime": "1498524978",
            "ivsid": "IVS-00-11-22-33-44-55"
          }
        ]
      }


**Get the real time record of the iva event**

实时获取Event信息，必填參數為enterprise_id

>/url/vcm/iva/event/realtime?enterprise_id=3

>HTTP Format：GET

      {
        "Version": "2.0.0.1",
        "ErrorCode": "0",
        "ErrorMessage": "",
        "event": [
          {
            "eventinfo": "rect=800,168,830,222",
            "eventid": "2",
            "eid": "1",
            "channo": "1",
            "eventtype": "2",
            "eventstatus": "2",
            "eventtime": "1498524978",
            "ivsid": "IVS-00-11-22-33-44-55"
          }
        ]
      }

 [詳細調用方式請參考 WISE-PaaS VCM API manual](http://ei-paas-documentation.docs.wise-paas.com/Documentation/apidoc/VCM/index.html)


 
Stream management API
-----

DASH Server 可管理多台VMS設備，在登入取得視訊串流的MPD連結，前端頁面使用video標籤播放這個MPD連結查看串流。
如果以之前的流程，應該已經拿到domain name 以及 apiport .

**1. Online**

https://<i></i>domain:apiport/AdvStreamingService/Authority/Online

HTTP請求形式：PUT

參數描述：username欄位為用戶名、password欄位為密碼

Format:JSON 

Request: 

    Request Body: (Content-Type: application/json) 
    { 
    "request": { 
    "username": "admin", 
    "password": "1234" 
    }
    } 
    
Response: 

成功： 

    Response Body: (Content-Type: application/json) 
    { 
    "result": { 
    "version": "2.0.0.1", 
    "SessionID": "12321313123" 
    } 
    } 
    
失败： 

    Response Body: (Content-Type: application/json) 
    { 
    "result": { 
    "version": "2.0.0.1", 
    "ErrorCode": "1" 
    } 
    }


*注意保存SessionID，後面所有命令都需要使用

**2. Offline**

https://<i></i>domain:apiport/AdvStreamingService/Authority/Offline

HTTP請求形式：PUT

參數描述：sessionID欄位為Authority/Online返回的SessionID

Format:JSON 

Request: 

    Request Body: (Content-Type: application/json) 
    { 
    "request": { 
    "sessionID": "12321313123" 
    } 
    } 
    
Response: 

成功： 

    Response Body: (Content-Type: application/json) 
    { 
    "result": { 
    "version": "2.0.0.1", 
    "Response": "OK" 
    } 
    } 
    
失败： 

    Response Body: (Content-Type: application/json) 
    { 
    "result": { 
    "version": "2.0.0.1", 
    "ErrorCode": "1" 
    } 
    }

**3. LiveStream**

https://<i></i>domain:apiport/AdvStreamingService/LiveStream

HTTP請求形式：PUT

參數描述：method欄位為connection，sessionID欄位Authority/Online返回的SessionID，IVSID欄位為IVS 號、channel欄位為具體通道號

Format:JSON 

Request: 

    Request Body: (Content-Type: application/json) 
    { 
    "request": { 
    "method": "connection", 
    "sessionID": "12321313123", 
    "IVSID": "IVS-1000-123-12-00001", 
    "channel": "1"
    
    } 
    } 
    
Response: 

成功： 

    Response Body: (Content-Type: application/json) 
    { 
    "result": { 
    "version": "2.0.0.1", 
    "state": "OK", 
    "mpd": "http://10.50.62.96:8089/14860592796149706681/14860828001443792112/dashcast.mpd" 
    } 
    } 
    
失败： 

    Response Body: (Content-Type: application/json) 
    { 
    "result": { 
    "version": "2.0.0.1", 
    "ErrorCode": "1" 
    } 
    }


**4. Playback**

https://<i></i>domain:apiport/AdvStreamingService/PlaybackStream

HTTP請求形式：PUT

參數描述：method欄位為connection，sessionID欄位Authority/Online返回的SessionID，IVSID欄位為IVS 號，channel欄位為具體通道號，beginTime、endTime分別為重播視頻請求起止時間，時間格式遵循Windows的time_t時間格式（時間間隔最大為10分鐘）。

Format:JSON 

Request: 

    Request Body: (Content-Type: application/json) 
    { 
    "request": { 
    "method": "connection", 
    "sessionID": "12321313123", 
    "IVSID": "IVS-1000-123-12-00001", 
    "channel": "1", 
    "beginTime": "1232", 
    "endTime": "223" 
    } 
    } 
    
Response: 

成功：

    Response Body: (Content-Type: application/json) 
    { 
    "result": { 
    "version": "2.0.0.1", 
    "state": "OK", 
    "mpd": "http://10.50.62.96:8089/14860592796149706681/14860828001443792112/dashcast.mpd" 
    } 
    } 
    
失败： 

    Response Body: (Content-Type: application/json) 
    { 
    "result": { 
    "version": "2.0.0.1", 
    "ErrorCode": "1" 
    } 
    }

**5. Disconnection**

https://<i></i>domain:apiport/AdvStreamingService/PlaybackStream 或是LiveStream 

參數描述：method欄位為disconnection，sessionID欄位Authority/Online返回的SessionID，IVSID欄位為IVS 號、channel欄位為具體通道號

Format:JSON 

Request: 

    Request Body: (Content-Type: application/json) 
    { 
    "request": { 
    "method": "disconnection", 
    "sessionID": "12321313123", 
    "IVSID": "IVS-1000-123-12-00001", 
    "channel": "1" 
    } 
    } 
    
Response: 

成功： 

    Response Body: (Content-Type: application/json) 
    { 
    "result": { 
    "version": "2.0.0.1", 
    "state": "OK" 
    } 
    }
    
失败： 

    Response Body: (Content-Type: application/json) 
    { 
    "result": { 
    "version": "2.0.0.1", 
    "ErrorCode": "1" 
    } 
    }
 
 具體調用可以參考 Sample SolutionWorkerWeb-v1\scripts\app.js 
 
 
Error Code
-----

|1|XML/JSON參數不正確|
|---|----|
|2|用戶名或密碼錯誤|
|3|用戶不在線|
|4|連接PV6SvrRemote COM介面出錯|
|5|請求的IVS資料庫中不存在|
|6|視頻請求網路錯誤|
|7|視頻請求伺服器出錯|
|8|視頻請求RPC通訊出錯|
|9|IVS不支持的參數|
|10|非法的URL地址|
|11|超過License授權最大使用數量|
|12|License不可用|
 



iFactory Application
-----

![](../uploads/images/VCM/08.jpg)

有別於傳統的監控VCM提供3大好處:

![](../uploads/images/VCM/16.jpg)

![](../uploads/images/VCM/17.jpg)

![](../uploads/images/VCM/18.jpg)


Factory field data, Hardware and Software installation 
--------

針對上一章節的介紹，我們已經了解VCM的角色與如何調用Restful API. 此章節會介紹實測案場的硬體與軟體部屬，還有架設的攝影機位置。

- **Hardware**

 
||硬體型號|規格|數量|
|----|-----|----|-----|
|VCM主機|AiMC-3200VS|Core i5, 8G RAM |1|
|攝影機(CH1~CH15)|VIVOTEK  IB8369A|Bullet 2MP 20M IR IP66 3DNR |15|
|攝影機(CH16)|VIVOTEK  FD8166A|Dome 1.3MP  |1|
 
 
- **Software installation**

|提供服務|安裝軟體|版本|
|----|-----|-----|-----|
|Meta data Service|AvVcmMetaDataService|1.0.0.5|
|Video Management System|PowerVMS|3.0.2.24|
|Video Analytic|PowerIVA|3.0.4.2|
|DASH server|AdvStreamingService|2.0.2.4|
 

- **Camera Table**


|CH|Location|Resolution|FPS|
|----|-----|-----|-----|-----|
|1|1F-Food Court|640x360|4|
|2|2F-Warehouse_1|1920x1080|4|
|3|2F-Warehouse_2|1920x1080|4|
|4|2F-Warehouse_3|1920x1080|4|
|5|2F-Warehouse_4|1920x1080|4|
|6|B1F-Expensive equipment|1920x1080|4|
|7|5F-SMT|1920x1080|4|
|8|5F-X-ray outside|1920x1080|4|
|9|1F-Pier_1|1920x1080|4|
|10|1F-Pier_2|1920x1080|4|
|11|1F-Pier outside|1920x1080|4|
|12|6F-Engine room_1|1920x1080|4|
|13|6F-Engine room_2|1920x1080|4|
|14|6F-Top floor|640x360|4|
|15|5F-X-Ray Room|640x360|4|
|16|5F-X-Ray machine|640x360|4|


> B1F

![](../uploads/images/VCM/B1.png) 
 
> 1F

![](../uploads/images/VCM/1F.png) 
 
> 2F

![](../uploads/images/VCM/2F.png) 
 
> 5F

![](../uploads/images/VCM/5F.png)  

> RF

![](../uploads/images/VCM/6F.png) 



 