EI-PaaS 快速指南
====

EI-PaaS平台為提供 Industrial Edge to Cloud 快速聯結機制，協助客戶迅速開發、佈署、營運設備連網管理、大數據分析預測及可視化等創新雲服務之首選雲平台。
應用服務開發商可以利用EI-PaaS平台上強大的開發與佈署工具，快速開發專業等級的物聯網應用服務，上線營運與收費。平台具備多租戶功能，及彈性伸縮的功能，可以依據服務的需求，隨時增減服務容量，可以應付秒殺級服務需求，在使用量低時也能有效節省成本。
開發人員可透過專為開發者打造的 Technical Portal 取得相關的技術資訊：


EI-PaaS 上提供的工具
---

為省去開發者寫程式的麻煩，平台提供 Dashboard 的拖拉工具 [Freedboard](https://portal-technical.wise-paas.com/doc/doc-portal.html#EIDashBoard-1)，以及聯網設備處理邏輯的 [Node-RED](https://portal-technical.wise-paas.com/doc/doc-portal.html#NodeRed-1)。開發商透過圖形介面即可輕鬆完成服務開發。


EI-PaaS 上提供的服務
---

平台上提供[資料管理](https://portal-technical.wise-paas.com/service-catalog.html)、[設備管理](https://portal-technical.wise-paas.com/service-catalog.html#anchorSpecificService)、[解決方案](https://portal-technical.wise-paas.com/service-catalog.html#anchorSpecificService2)、[視覺化工具](https://portal-technical.wise-paas.com/service-catalog.html#anchorFrontEndTool)以及[資料分析](https://portal-technical.wise-paas.com/service-catalog.html#anchorAnalytic)等五類服務。
[資料管理](https://portal-technical.wise-paas.com/service-catalog.html)包括 [MongoDB](https://portal-technical.wise-paas.com/card-content-mongodb.html)、 [PostgreSQL](https://portal-technical.wise-paas.com/card-content-postgresql.html)、 [Common Data Service](https://portal-technical.wise-paas.com/card-content-common-data-service.html) 等，主要讓開發商可以將聯網設備的資料送到雲端儲存。
[設備管理](https://portal-technical.wise-paas.com/service-catalog.html#anchorSpecificService)包括 [設備管理 RMM](https://portal-technical.wise-paas.com/card-content-rmm.html) 與 [Condor DM 服務](https://portal-technical.wise-paas.com/card-content-condor.html)，讓開發商可以對聯網設備進行管理。


如何開發前端服務
---

EI-PaaS 除了提供開源碼工具 [Freedboard](https://portal-technical.wise-paas.com/doc/doc-portal.html#EIDashBoard-1)，以及聯網設備處理邏輯的 [Node-RED](https://portal-technical.wise-paas.com/doc/doc-portal.html#NodeRed-1) 讓開發者可以方便開發前端 IoT 應用服務外，也提供研華專為管理 IoT 設備開發的 [WebAccess](http://www.advantech.tw/industrial-automation/webaccess) 供開發者選用。


如何取得開發環境進行開發
---

EI-PaaS 備有[開發包 (DevBox)](https://drive.google.com/open?id=0Bxux5QDsDN7UVk8zN3Nob1hIdGM) 供開發者下載，開發者只要在自己的開發設備如個人電腦開一個[虛擬機](https://portal-technical.wise-paas.com/doc/doc-portal.html#DevBox-1)，然後[安裝 DevBox](https://portal-technical.wise-paas.com/doc/doc-portal.html#DevBox-2), 就可以開始進行開發與測試。若開發者不習慣用虛擬機開發，也可以依照[說明](https://portal-technical.wise-paas.com/doc/doc-portal.html#LocalDevelopment-1)，在本機端建構開發環境。


如何佈署服務
---

EI-PaaS 提供 [command line](https://portal-technical.wise-paas.com/doc/doc-portal.html#CloudFoundryCli-1) 及 web GUI 兩種佈署方式。目前 web GUI 僅支援 Java 程式開發的服務 ，其他類型的服務需以 command line 方式佈署。


如何管理服務
---

EI-PaaS 提供[開發者管理介面](https://portal-technical.wise-paas.com/doc/doc-portal.html#ManagementPortal-1)，方便開發者了解服務應用的執行與使用情形。


如何讓裝置與 EI-PaaS 進行溝通
---

[EI-Agent](https://portal-technical.wise-paas.com/doc/doc-portal.html#PaasAgent-1) 是 EI-PaaS 所提供的軟體開發框架，能夠讓裝置與 EI-PaaS 進行溝通，它提供了眾多兼具直覺易用與高度智慧的整合性界面，可以加快開發速度，增強系統安全性。


如何取得自己的裝置的回報數據
---

首先必須將裝置部署EI-Agent，可參考上一節「如何讓裝置與 EI-PaaS 進行溝通」，接著使用 [Commom Data Service](https://portal-technical.wise-paas.com/card-content-common-data-service.html) 所提供之 [RESTful API](https://portal-technical.wise-paas.com/doc/doc-portal.html#CommonDataService-1)，即可以簡單取得裝置自身資訊或是其所回報之資料。


如何得知 Service credential 取得位置與 SSO token 取得方法
---

SSO token可分為兩種：
1. Web based: WISEAccessToken（代表user）可從 cookie 中取得，而 cookie 的名稱即為 WISEAccessToken（因考量安全因素，前端 app 無法取得）。
2. Native based: WISEAppToken（代表app）可從 SSO API 取得，HTTP method 為 POST，在 body 中以 JSON 格式代入 appId 與 userId 即可取得。

Service credential的取得方式有兩種，一種是在 technical portal 登入後，可以取得 WISEAccesToken，此Token會以 cookie 的方式儲存在瀏覽器，可以藉由它瀏覽及操作 EI-PaaS 上的服務。另一種則是透過呼叫 SSO API 的方式取得 WISEAppToken，將其放至 http method 中的 header 裡，即可使用 EI-PaaS 服務所提供的 API。

詳細的SSO token取得方法請見[SSO Tutorial](sso-tutorial.md)

如何自己設計 Widget
---

自己設計 Widget 在 EI-PaaS 平台是非常容易的一件事情，請參考[文件](https://portal-technical.wise-paas.com/doc/doc-portal.html#EIDashBoard-2)。


參考範例
---

你的應用程序可能是什麼樣子，它可能如何設計？ 來看看我們提供的[範例程式](https://portal-dashboard.wise-paas.com/FreeBoard.html#sheet=Foodcourt)。

