EI-PaaS文件(Documentation)系統
===

Advantech Front-end Developer - ChihYu

<!-- page_number: true -->

---

三個重點
===

1. 問題
2. 解決方案
3. 執行細節

---

問題
===

我們([EI-PaaS Technical Portal](https://technical-portal.wise-paas.com/document.html))目前沒有一個管理WISE-PaaS服務Documentation的文件系統

1. 各個Document格式不同，排版混亂
2. 維護困難

---

解決方案
===

[EI-PaaS文件系統](https://cure100061148.gitlab.io/DocumentationDemo/) = [Documentation](https://gitlab.com/Cure100061148/DocumentationDemo/tree/master/documents) + [MDWiki](https://github.com/Dynalon/mdwiki) + [GitLab Pages](https://pages.gitlab.io/)

**註：各位Developer只需要負責Documenation的編輯**

---

MDWiki
===

MDWiki是一個只要編輯`Markdown`文件便會自行產生響應式網頁的文件系統。

以下是MDWiki的幾個特點：

1. 支援響應式設計(RWD)
2. 不需要另外架伺服器，由於只是靜態文件，它可以直接架在GitHub或是GitLab上，並透過Pages的功能產生網頁
3. 內建多種UI主題供網頁瀏覽者自行選擇
4. 使用簡單易學的`Markdown`編輯文件
5. 創造統一的文件格式(文件下方會詳細介紹Markdown特性)
6. 支援語系切換

---

GitLab Pages
===

Static Files + GitLab CI(`.gitlab-ci.yml` + Runner)

- [Gitlab Pages Documentation](https://docs.gitlab.com/ce/user/project/pages/?_ga=2.51111913.1787590914.1496970722-964786721.1496823006#getting-started)

---

執行細節
===

1. EI-PaaS文件系統檔案架構
2. 常見使用流程
3. Local端開發工具推薦
3. 文件格式
4. `Markdown`教材

---

EI-PaaS文件系統檔案架構
===

    - documents(#)
    	- Each service has its folder
    	- uploads
    		- images
    			- Each service has its folder
    - .gitattributes
    - .gitignore
    - .gitlab-ci.yml
    - README.md(#)
    - config.json
    - index.html
    - index.md(#)
    - navigation.md(#)
    - slide.md

**#:表示各位Developer需要注意的檔案** 

---

說明
===

1. `documents`: 各服務(產品)各占一個資料夾，例如RMM，SCADA就需要兩個資料夾。命名幾乎仿照[EI-PaaS Technical Portal](https://technical-portal.wise-paas.com/document.html)上命名。
2. `images`: 裏頭一樣各服務(產品)各占一個資料夾。
3. `README.md`: 即此檔案。
4. `index.md`: EI-PaaS文件系統首頁，目前是EI-Paas 快速指南。
5. `navigation.md`: 這是大家都會接觸到的唯一檔案，這裡頭定義網站內的navigation bar內容。**請注意，即使寫完documents，若沒有更新`navigation.md`，EI-PaaS文件系統仍然無法出現新增的documents。即`navigation.md`定義使用者如何瀏覽我們編輯好的documents。**

---

常見使用流程1
===

**強烈建議在local端編輯再push至master**

**Q1:** 已有文件在EI-PaaS文件系統中，那麼要如何更新文件內容? **(註: 編輯並儲存後即生效)**

**A1:** 

1. `git pull`
2. 編輯文件，預覽
3. commit and push至master
---

常見使用流程2
===

**Q2:** 如果尚無文件在EI-PaaS文件系統中，那麼要如何更新文件內容? 

**A2:** 

1. `git pull`
2. 若尚無此產品(服務)的說明文件，請先在`documents`下及`documents/uploads/images`下各自新增資料夾( **名稱即是該產品(服務)，建議兩者相同** ) 
2. 編輯文件(Edit)，若文件需要圖片，請將圖片上傳至`documents/uploads/images/[新資料夾]`下，並將文件中各圖片的url相對應至正確的位置。**( 請使用Relative Path，下方會詳細說明 )**，預覽(Preview)
3. 更新`navigation.md`( 方法於下方詳細說明 )
4. commit and push至master

---

Local端開發工具推薦
===

1. [MarkdownPad2: Markdown Editor (Windows)](http://markdownpad.com/)
2. [MacDown: Markdown Editor (Mac)](https://macdown.uranusjr.com)
3. [Fenix: Static Desktop Web Server (Windows, Mac)](http://fenixwebserver.com/)

---

文件格式
===

為了要讓EI-PaaS文件系統達成一致的UI風格，**請務必遵守以下格式**(以下語法皆是`Markdown`語法)

1. 文件標題下請加上這串符號(`===`)。
2. 文件可分成多個段落(section)，在段落標題下請加上這串符號(`---`)，標示段落可以讓網頁瀏覽者快速導覽文件，更利於他們了解文件內容。
3. 若需要在條列項中插入圖片，請使用無序種類，即bullet list。

---


4. `Markdown`很注重空行，尤其是各元素之間。(例如: 一段文字與條列項之間需要空行)**請多注意(多使用預覽功能)**
5. 若使用`Markdown`的Table元素，使用預覽功能時會發現Table與其他元素之間會有大段空白，此為正常現象。
6. 假設你在`documents/RMM/userguide.md`中需要一張圖片(01.jpg)，若這張圖片目前在`documents/uploads/images/RMM`下，則文件中你需要填入`![](../uploads/images/RMM/01.jpg)`。

---

`Markdown`教材
===

1. [快速上手](http://dynalon.github.io/mdwiki/#!quickstart.md)

2. [進階功能](http://dynalon.github.io/mdwiki/#!gimmicks.md)

---

Q&A
===

---

Slide Available at https://goo.gl/Bqq9e1
Thank you!
